<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: accthistory.xsl,v 1.10 2018-08-09 20:00:04 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:trans="java:com.psasoft.swing.PTranslationState"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Change History'"/>  

<xsl:template match="/">
	<fo:root>

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>
	<xsl:if test="/all_results/results[@name = 'tran']/row[cnpa = 0]">
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				Account Level Changes
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="1.75in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="2.00in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change Date / Time</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change Effective Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Changed By</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change Number</fo:block>
							</fo:table-cell>						
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'tran']/row[cnpa = 0]">    
							<xsl:call-template name="detail_row">
								<xsl:with-param name="row" select="."/>
							</xsl:call-template>
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>    
		</xsl:if>	
	<xsl:if test="/all_results/results[@name = 'tran']/row[cnpa != 0]">
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				Service Level Changes
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="1.75in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="2.00in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Changed Date / Time</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change Type</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Change Effective Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Changed By</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Order Number</fo:block>
							</fo:table-cell>						
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'tran']/row[cnpa != 0]">    
							<xsl:call-template name="detail_row">
								<xsl:with-param name="row" select="."/>
							</xsl:call-template>
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>    
		</xsl:if>
	<xsl:if test="/all_results/results[@name = 'audit']/row">
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				Audit Changes
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="2.00in" />
			<fo:table-column column-width="2.00in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Audit Date / Time</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Audit Table / Field</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Changed By</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Before Change</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>After Change</fo:block>
							</fo:table-cell>						
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'audit']/row">    
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./auditdate"/>
										</fo:block>
										<fo:block>
											<xsl:value-of select="./audittime"/>
										</fo:block>
									</fo:table-cell>							
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./audittname"/>
										</fo:block>
										<fo:block>
											<xsl:choose>
											<xsl:when test="normalize-space(./audittname) = 'OVERRIDE'">
												<xsl:value-of select="trans:translateText(string(./groupdsc))" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="./auditfield"/>
											</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>																				
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:choose>
												<xsl:when test="./updatedby = 0">
													<xsl:value-of select="'WEB or Server'"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="./name"/>
													<xsl:value-of select="' ('"/>
													<xsl:value-of select="./uname"/>
													<xsl:value-of select="')'"/>												
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./audbefore"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./audafter"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>  
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>    
		</xsl:if>		
</xsl:template>

<xsl:template name="detail_row">
  <xsl:param name="row"/>
  
	<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:value-of select="./transdate"/>
					<xsl:value-of select="' '"/>
					<xsl:value-of select="./transtime"/>
				</fo:block>
			</fo:table-cell>							
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
				<fo:block>
					<xsl:choose>
						<xsl:when test="./transtypid = 1">
							<xsl:value-of select="'New Account'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 2">
							<xsl:value-of select="'New Service'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 3">
							<xsl:value-of select="'Modify Account'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 4">
							<xsl:value-of select="'Modify Service'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 5">
							<xsl:value-of select="'Modify Package/Plans/Features'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 6">
							<xsl:value-of select="'Disconnect Service'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 7">
							<xsl:value-of select="'Move Service to Existing Account'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 8">
							<xsl:value-of select="'Move Service to New Account'"/>											
						</xsl:when>											
						<xsl:when test="./transtypid = 9">
							<xsl:value-of select="'Service Number Change'"/>
						</xsl:when>
						<xsl:when test="./transtypid = 10">
							<xsl:value-of select="'Network Transfer'"/>
						</xsl:when>							
						<xsl:when test="./transtypid = 11">
							<xsl:value-of select="'Cycle Change'"/>
						</xsl:when>											
						<xsl:when test="./transtypid = 12">
							<xsl:value-of select="'Suspend'"/>
						</xsl:when>											
						<xsl:when test="./transtypid = 13">
							<xsl:value-of select="'Reconnect'"/>
						</xsl:when>											
						<xsl:when test="./transtypid = 14">
							<xsl:value-of select="'Delete Invoice'"/>
						</xsl:when>											
						<xsl:otherwise>
							<xsl:value-of select="./transtypid"/>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>																				
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:value-of select="./effdt"/>
				</fo:block>
			</fo:table-cell>										
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
				<fo:block>
					<xsl:value-of select="./name"/>
					<xsl:value-of select="' ('"/>
					<xsl:value-of select="./uname"/>
					<xsl:value-of select="')'"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
				<fo:block>
					<xsl:value-of select="format-number(./servord, '###,###,##0')"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>  
</xsl:template>

</xsl:stylesheet>






