<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: adjbatch.xsl,v 1.6 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Adjustment Batch'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'adjhdr']/row)">
			<fo:table table-layout="fixed" 
								width="100%" 
								space-before="8px">
				<fo:table-column column-width="1.5in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.5in" />
				<fo:table-column column-width="2.0in" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="'Batch ID'"/>
								</fo:block>			
							</fo:table-cell>				
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="format-number(/all_results/results[@name = 'adjhdr']/row/btchid, '#########0')"/>
								</fo:block>			
							</fo:table-cell>	
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="'Batch Date'"/>
								</fo:block>			
							</fo:table-cell>					
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="/all_results/results[@name = 'adjhdr']/row/btchdate"/>
								</fo:block>
							</fo:table-cell>																
						</fo:table-row>	
						<fo:table-row>
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="'Batch Description'"/>
								</fo:block>			
							</fo:table-cell>				
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="/all_results/results[@name = 'adjhdr']/row/btchdsc"/>
								</fo:block>			
							</fo:table-cell>	
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="'Batch User'"/>
								</fo:block>			
							</fo:table-cell>					
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="/all_results/results[@name = 'adjhdr']/row/payuser"/>
								</fo:block>
							</fo:table-cell>															
						</fo:table-row>	
						<xsl:if test="/all_results/results[@name = 'adjhdr']/row/btchsts = 'P'">
							<fo:table-row>
								<fo:table-cell text-align="right" padding-right="10px">
									<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Status'"/>
									</fo:block>			
								</fo:table-cell>				
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="'Posted'"/>
									</fo:block>			
								</fo:table-cell>	
								<fo:table-cell text-align="right" padding-right="10px">
									<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Post Date'"/>
									</fo:block>			
								</fo:table-cell>					
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="/all_results/results[@name = 'adjhdr']/row/postdate"/>
									</fo:block>
								</fo:table-cell>															
							</fo:table-row>					
						</xsl:if>				
						<fo:table-row>
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Total'"/>									
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell text-align="right" padding-right="10px">
									<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/itmrat), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>				
							</fo:table-cell>					
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="'Total Tax'"/>
								</fo:block>			
							</fo:table-cell>					
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')"/>
								</fo:block>			
							</fo:table-cell>					
						</fo:table-row>						
					</fo:table-body>
				</fo:table>  				

			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Adjustment Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Account</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Account Name</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Item Code</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Item Description</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Adjustment Description</fo:block>
								</fo:table-cell>							
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Adjustment Amount</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Taxes Amount</fo:block>
								</fo:table-cell>						
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'adjdetail']/row">    
								<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./itcc"/>
													<xsl:with-param name="yy" select="./ityy"/>
													<xsl:with-param name="mm" select="./itmm"/>
													<xsl:with-param name="dd" select="./itdd"/>
												</xsl:call-template>										
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="format-number(./cycle, '000')"/>
												<xsl:value-of select="'-'"/>
												<xsl:value-of select="format-number(./account, '0000000')"/>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./fname"/>
												<xsl:value-of select="' '"/>
												<xsl:value-of select="./lname"/>									
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./item"/>									
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./itmdsc"/>									
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./adjdsc"/>									
											</fo:block>
										</fo:table-cell>								
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./itmrat, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
											</fo:block>
										</fo:table-cell>									
								</fo:table-row>		
						 </xsl:for-each>
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="6">
										<fo:block>
											<xsl:value-of select="'Total'"/>									
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/itmrat), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
										</fo:block>
									</fo:table-cell>							
							</fo:table-row>						 
						</fo:table-body>
				</fo:table>       
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>			
</xsl:template>

</xsl:stylesheet>






