<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: adjitemsumm.xsl,v 1.4 2017-11-30 15:54:41 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">

  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Adjustment Item Summary ', $adjustment_date[1], ' to ', $adjustment_date[2])"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">

	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width="0.5in" />
		<fo:table-column column-width="2.5in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Type</fo:block>
						</fo:table-cell>				
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Description</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>GL Item Account</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Credit</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Debit</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Total</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'adjdetail']/row">    
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./itmtyp"/>									
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./itmdsc"/>									
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./itemacct, '######0')"/>
										<xsl:value-of select="'-'"/>
										<xsl:value-of select="format-number(./itemsubacct, '00000')"/>
									</fo:block>
								</fo:table-cell>									
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./credit, '$ ##,###,##0.00;$ -#,###,##0.00')"/>									
									</fo:block>
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./debit, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./debit + ./credit, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>									
						</fo:table-row>		
				 </xsl:for-each>
					<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="3">
								<fo:block>
									<xsl:value-of select="'Total'"/>									
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/credit), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/debit), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/debit) + sum(/all_results/results[@name = 'adjdetail']/row/credit), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>								
					</fo:table-row>						 
				</fo:table-body>
		</fo:table>       
</xsl:template>

</xsl:stylesheet>






