<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: arhistory_abbr.xsl,v 1.2 2018-09-04 18:03:02 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:saxon="http://saxon.sf.net/"
								xmlns:util="java:com.psasoft.reports.util.ReportUtilities"
								exclude-result-prefixes="java" 
								extension-element-prefixes="saxon"
								version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Account Receivable History'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row"/>
	</xsl:call-template>
	<fo:block xsl:use-attribute-sets="category-label">
		Account Aging
	</fo:block>
	<xsl:variable name="billmonth" select="substring(/all_results/results[@name = 'acct']/row/cbdate, 5, 2)" />
	<xsl:variable name="cycle" select="/all_results/results[@name = 'acct']/row/cycle" />
	<xsl:variable name="age" select="util:convertToAgingValues($cycle, $billmonth, /all_results/results[@name = 'sum']/row/*)" />
	<fo:table table-layout="fixed" width="100%" space-before="8px">
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Current</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>30 Days</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>60 Days</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>90 Days</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Final Balance</fo:block>
						</fo:table-cell>						
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number($age/age/curr_bill, '$ ##,###,##0.00;$ -#,###,##0.00')"/>							
							</fo:block>			
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number($age/age/day30, '$ ##,###,##0.00;$ -#,###,##0.00')"/>							
							</fo:block>			
						</fo:table-cell>				
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number($age/age/day60, '$ ##,###,##0.00;$ -#,###,##0.00')"/>							
							</fo:block>			
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number($age/age/day90, '$ ##,###,##0.00;$ -#,###,##0.00')"/>							
							</fo:block>			
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number($age/age/due, '$ ##,###,##0.00;$ -#,###,##0.00')"/>							
							</fo:block>			
						</fo:table-cell>						
				</fo:table-row>					
			</fo:table-body>
		</fo:table> 	
</xsl:template>
</xsl:stylesheet>






