<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: billhistory.xsl,v 1.4 2011-02-21 18:36:29 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Bill History Summary'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width=".75in" />
		<fo:table-column column-width=".5in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />			
		<fo:table-header>
			<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Bill Date</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Plan</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Monthly</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Long Distance</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Other Charges</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Airtime</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Roamer Charges</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Adj</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Federal Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>State Tax</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>County Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>City Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Misc. Tax</fo:block>
					</fo:table-cell>						
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Current Charges</fo:block>
					</fo:table-cell>	
			</fo:table-row>
		</fo:table-header>					
		<fo:table-body>
			<xsl:for-each select="/all_results/results[@name = 'bill']/row">    
					<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./cublcc"/>
										<xsl:with-param name="yy" select="./cublyy"/>
										<xsl:with-param name="mm" select="./cublmm"/>
										<xsl:with-param name="dd" select="./cubldd"/>
									</xsl:call-template>										
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="./crtpln"/>
								</fo:block>
							</fo:table-cell>																				
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./mnthcg, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>										
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./lngdst, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ochgs, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./airtim, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./roamcg, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ocrds, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./fedtax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>			
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./stetax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./cnytax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ctytax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							  <xsl:variable name="misctax" select="./ms1tax + ./ms2tax + ./ms3tax + ./ms4tax + ./ms5tax + ./ms6tax + ./ms7tax + ./ms8tax + ./ms9tax + ./msatax + ./msbtax + ./msctax + ./msdtax + ./msetax"/>
								<fo:block>
									<xsl:value-of select="format-number($misctax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>		
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./cntcgs, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
					</fo:table-row>		
			 </xsl:for-each>
		</fo:table-body>
	</fo:table> 

	<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
		Account Total Summary
	</fo:block>		   
	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width="1.25in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />
		<fo:table-column column-width=".7in" />			
		<fo:table-header>
			<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Bill Date</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Monthly</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Long Distance</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Other Charges</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Airtime</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Roamer Charges</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Adj</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Federal Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>State Tax</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>County Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>City Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Misc. Tax</fo:block>
					</fo:table-cell>						
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Current Charges</fo:block>
					</fo:table-cell>	
			</fo:table-row>
		</fo:table-header>					
		<fo:table-body>
			<xsl:for-each select="/all_results/results[@name = 'acctsum']/row">    
					<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./cublcc"/>
										<xsl:with-param name="yy" select="./cublyy"/>
										<xsl:with-param name="mm" select="./cublmm"/>
										<xsl:with-param name="dd" select="./cubldd"/>
									</xsl:call-template>										
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./mnthcg, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>										
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./lngdst, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ochgs, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./airtim, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./roamcg, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ocrds, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./fedtax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>			
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./stetax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./cnytax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./ctytax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./misctax, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>		
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./cntcgs, '$ ###,##0.00;$ -###,##0.00')"/>
								</fo:block>
							</fo:table-cell>									
					</fo:table-row>		
			 </xsl:for-each>
		</fo:table-body>
	</fo:table>
</xsl:template>

</xsl:stylesheet>






