<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: calldailysummary.xsl,v 1.3 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
   <xsl:import href="subtemplates.xsl"/> 
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Daily Usage Summary Report'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set" />
		<xsl:call-template name="make-body" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:if test="exists(/all_results/results[@name = 'callsummary']/row[calltype = 'Local/Roam' or calltype = 'Home/Home' or calltype = 'Home/Roam' or calltype = 'Roam/OutC'])">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
				Calls
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Call Type</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Number of Calls</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Airtime Minutes</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Airtime Charges</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Toll Minutes</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Toll Charges</fo:block>
								</fo:table-cell>					
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'callsummary']/row[calltype = 'Local/Roam' or calltype = 'Home/Home' or calltype = 'Home/Roam' or calltype = 'Roam/OutC']">
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calltype"/>
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldate"/>									
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./calls, '###,##0')"/>
										</fo:block>
									</fo:table-cell>			
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./airminutes, '###,##0')"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./aircharge, '##,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollminutes, '###,##0')"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollcharge, '##,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>									
								</fo:table-row>								
					 </xsl:for-each>
				</fo:table-body>
		</fo:table>			
	</xsl:if>	
	<xsl:if test="exists(/all_results/results[@name = 'callsummary']/row[calltype = 'SMS/Home' or calltype = 'SMS/Roam'])">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
				SMS 
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Call Type</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Direction</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Number</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Charges</fo:block>
								</fo:table-cell>					
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'callsummary']/row[calltype = 'SMS/Home' or calltype = 'SMS/Roam']">
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calltype"/>
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldate"/>									
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldir"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./calls, '###,##0')"/>
										</fo:block>
									</fo:table-cell>			
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollcharge, '##,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>									
								</fo:table-row>								
					 </xsl:for-each>
				</fo:table-body>
		</fo:table>			
	</xsl:if>	
	<xsl:if test="exists(/all_results/results[@name = 'callsummary']/row[calltype = 'MMS'])">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
				MMS
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Quantity Type</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Number</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Volume Uploaded</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Volume Downloaded</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Charges</fo:block>
								</fo:table-cell>					
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'callsummary']/row[calltype = 'MMS']">
							<fo:table-row>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldate"/>									
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldir"/>
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="format-number(./calls, '###,##0')"/>
										</fo:block>
									</fo:table-cell>			
									<xsl:choose>
									<xsl:when test="./volupl = 0 and ./voldnl = 0">
											<fo:table-cell xsl:use-attribute-sets="table-cells" number-columns-spanned="2" text-align="right">
												<fo:block>
													<xsl:value-of select="format-number(./msacdg, '###,###,###,##0')"/>
												</fo:block>
											</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
													<xsl:value-of select="format-number(./volupl, '###,###,###,##0')"/>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
													<xsl:value-of select="format-number(./voldnl, '###,###,###,##0')"/>
												</fo:block>
											</fo:table-cell>
									</xsl:otherwise>
									</xsl:choose>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollcharge, '##,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>									
								</fo:table-row>								
					 </xsl:for-each>
				</fo:table-body>
		</fo:table>			
	</xsl:if>		
	<xsl:if test="exists(/all_results/results[@name = 'callsummary']/row[calltype = 'Dir Assist'])">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
				Directory Assistance
		</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-column column-width="1in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Number of Calls</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Minutes</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Charges</fo:block>
								</fo:table-cell>							
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'callsummary']/row[calltype = 'Dir Assist']">
							<fo:table-row>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./calldate"/>
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./calls, '###,##0')"/>
										</fo:block>
									</fo:table-cell>			
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollminutes, '###,##0')"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./tollcharge, '##,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>									
								</fo:table-row>								
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>			
		</xsl:if>
		<xsl:if test="not(exists(/all_results/results[@name = 'callsummary']/row))">
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:if>
</xsl:template>
</xsl:stylesheet>






