<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: cctokenlist.xsl,v 1.2 2018-09-04 18:03:02 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" xmlns:saxon="http://saxon.sf.net/"
	xmlns:util="java:com.psasoft.reports.util.ReportUtilities" exclude-result-prefixes="java" extension-element-prefixes="saxon" version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'CC Token Listing'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:variable name="xml" select="util:getCCTokenCustomers()" />
		<xsl:if test="not(exists($xml))">
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Customers with Tokens Found</fo:block>
		</xsl:if>

		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="3.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Token</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Account</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Customer Type</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Payment Type</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Pay Account</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="$xml/customer_profiles/customer">
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="./@customerid" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="./merchant-customerid" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
							<fo:block>
								<xsl:value-of select="./description" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="./payment-profiles/pay-profile/customer-type" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:choose>
								<xsl:when test="exists(./payment-profiles/pay-profile/credit-card)">
									<xsl:value-of select="'Credit Card'" />
								</xsl:when>
								<xsl:when test="exists(./payment-profiles/pay-profile/bank-account)">
									<xsl:value-of select="'Bank Draft'" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'Unknown'" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:choose>
								<xsl:when test="exists(./payment-profiles/pay-profile/credit-card)">
									<xsl:value-of select="./payment-profiles/pay-profile/credit-card/card-number" />
								</xsl:when>
								<xsl:when test="exists(./payment-profiles/pay-profile/bank-account)">
									<xsl:value-of select="./payment-profiles/pay-profile/bank-account/bank-name" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="./payment-profiles/pay-profile/bank-account/account-number" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
</xsl:stylesheet>