<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: contract_test.xsl,v 1.3 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Contract Information'"/>  
  <xsl:key name="buname" match="row" use="column_value[5]"/>

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:block xsl:use-attribute-sets="component-1">
			Customer/Service Items ----
	</fo:block>
  <xsl:for-each select="/all_results/results[@name = 'acct']/row">
		<fo:block xsl:use-attribute-sets="component-1" white-space-treatment="preserve" linefeed-treatment="preserve" white-space-collapse="false">
				 Cycle <xsl:value-of select="cycle"/>
				 Address City <xsl:value-of select="adcity"/>
				 Address 1 <xsl:value-of select="adln1"/>
				 Address 2 <xsl:value-of select="adln2"/>
				 Address 3 <xsl:value-of select="adln3"/>
				 Address State <xsl:value-of select="adst"/>
				 Address Zip <xsl:value-of select="adzip"/>
				 SSN <xsl:value-of select="ssn"/>
		</fo:block>
 </xsl:for-each>		
<!--
-->      		
	<fo:block xsl:use-attribute-sets="component-1">
			AC Items ----
	</fo:block>
  <xsl:for-each select="/all_results/results[@name = 'acitems']/row">
			<fo:block xsl:use-attribute-sets="component-1" white-space-treatment="preserve" linefeed-treatment="preserve" white-space-collapse="false">
					Item <xsl:value-of select="itemcode"/>
					Item Type <xsl:value-of select="itmtyp"/>
					Desc <xsl:value-of select="itmdsc"/>
					Rate <xsl:value-of select="aitrat"/>
					Amt <xsl:value-of select="aitamt"/>
					POS State <xsl:value-of select="aitst"/>
					POS County <xsl:value-of select="aitcn"/>
					POS City <xsl:value-of select="aitct"/>
					Agent Code 1 <xsl:value-of select="saagc1"/>
					Agent Code 2 <xsl:value-of select="saagc2"/>
					Agent Code 3 <xsl:value-of select="saagc3"/>
			</fo:block>
 </xsl:for-each>		
<!--
-->      		
	<fo:block xsl:use-attribute-sets="component-1">
			SE Items ----
	</fo:block>
  <xsl:for-each select="/all_results/results[@name = 'seitems']/row">
		<fo:block xsl:use-attribute-sets="component-1" white-space-treatment="preserve" linefeed-treatment="preserve" white-space-collapse="false">
				Item <xsl:value-of select="itemcode"/>
				Item Type <xsl:value-of select="itmtyp"/>
				Desc <xsl:value-of select="itmdsc"/>
				Rate <xsl:value-of select="itmrat"/>
				Amount <xsl:value-of select="itmamt"/>
				Entry Date <xsl:value-of select="if (itcc > 0 and ityy > 0 and itmm > 0 and itdd > 0) then xs:date(concat(itcc, format-number(ityy, '00'), '-', format-number(itmm, '00'), '-', format-number(itdd, '00'))) else ' '"/>
				Last Date to Bill <xsl:value-of select="if (lbcc > 0 and lbyy > 0 and lbmm > 0 and lbdd > 0) then xs:date(concat(lbcc, format-number(lbyy, '00'), '-', format-number(lbmm, '00'), '-', format-number(lbdd, '00'))) else ' '"/>
				POS State <xsl:value-of select="itst"/>
				POS County <xsl:value-of select="itcn"/>
				POS City <xsl:value-of select="itct"/>
				Agent code 1 <xsl:value-of select="sagcd1"/>
				Agent code 2 <xsl:value-of select="sagcd2"/>
				Agent code 3 <xsl:value-of select="sagcd3"/>
				PROMO <xsl:value-of select="spromo"/>
		</fo:block>
 </xsl:for-each>		
<!--
-->      		
</xsl:template>
</xsl:stylesheet>






