<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: cpni_notifcation.xsl,v 1.3 2014-05-12 15:13:05 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">
  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'CPNI PIN Reset Nofitication Letter'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body-web"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:block-container absolute-position="fixed" left="3cm" top="1.75in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" text-align="left">
		    <xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y]')" />
		</fo:block>
	</fo:block-container>
	<xsl:variable name="row" select="/all_results/results[@name = 'acct']/row[position() = 1]"/>
	<fo:block-container absolute-position="fixed" left="3cm" top="6cm" width="3.75in">
		<fo:block xsl:use-attribute-sets="summary-headings">
				<xsl:value-of select="$row/fname" />
				<xsl:value-of select="$row/lname" />
		</fo:block>
		<xsl:if test="normalize-space($row/adln1)">
				<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
						<xsl:value-of select="$row/adln1" />
				</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln2)">
				<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
						<xsl:value-of select="$row/adln2" />
				</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln3)">
				<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
						<xsl:value-of select="$row/adln3" />
				</fo:block>
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt" space-after="12px">
				<xsl:value-of select="$row/adcity" />
				<xsl:value-of select="', '" />
				<xsl:value-of select="$row/adst" />
				<xsl:value-of select="' '" />
				<xsl:value-of select="substring($row/adzip, 1, 5)" />
				<xsl:if test="substring($row/adzip, 6, 4) != '0000'">
						<xsl:value-of select="'-'" />
						<xsl:value-of select="substring($row/adzip, 6, 4)" />
				</xsl:if>
		</fo:block>
	</fo:block-container>
	<fo:block-container absolute-position="fixed" left="3cm" top="3.5in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" text-align="left">
			<xsl:value-of select="'Account Number: '" />
			<xsl:value-of select="format-number($row/cycle, '000')" />
			<xsl:value-of select="'-'" />
			<xsl:value-of select="format-number($row/bacct, '0000000')" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" text-align="left" space-before="6pt">
			<xsl:value-of select="'RE: PIN '" />
		</fo:block>
	</fo:block-container>
	
	<fo:block-container absolute-position="fixed" left="3cm" top="4.5in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" text-align="left">
			<xsl:value-of select="'Dear '" />
			<xsl:value-of select="normalize-space($row/fname)" />
			<xsl:value-of select="' '" />
			<xsl:value-of select="normalize-space($row/lname)" />		
			<xsl:value-of select="','" />	
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt">
			<xsl:value-of select="/all_results/results[@name = 'note']/row/text" />
		</fo:block>				
	</fo:block-container> 
	
</xsl:template>

</xsl:stylesheet>






