<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: credit_signoff_mtex.xsl,v 1.3 2010-09-28 17:22:06 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:credit="java:com.psasoft.customer.data.CreditReport"
                xmlns:integer="java:java.lang.Integer"
                xmlns:textutil="java:com.psasoft.util.TextUtilities"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="''"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:table font-size="8pt">
			<fo:table-column column-width="2.5in" />
			<fo:table-column column-width="2.5in" />
			<fo:table-column column-width="2.0in" />
			<fo:table-header>            
					<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="report-title">
									<fo:external-graphic src="url(MidTexLogo.jpg)" content-height="auto" content-width="2in" />
								</fo:block>
							</fo:table-cell>                
							<fo:table-cell>
									<xsl:if test="normalize-space(/all_results/results[@name = 'company']/row/coname)">
											<fo:block xsl:use-attribute-sets="report-title" margin-left="24px">
													<xsl:value-of select="/all_results/results[@name = 'company']/row/coname" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space(/all_results/results[@name = 'company']/row/add1)">
											<fo:block xsl:use-attribute-sets="summary-headings" margin-left="24px">
													<xsl:value-of select="/all_results/results[@name = 'company']/row/add1" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space(/all_results/results[@name = 'company']/row/add2)">
											<fo:block xsl:use-attribute-sets="summary-headings" margin-left="24px">
													<xsl:value-of select="/all_results/results[@name = 'company']/row/add2" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space(/all_results/results[@name = 'company']/row/add3)">
											<fo:block xsl:use-attribute-sets="summary-headings" margin-left="24px">
													<xsl:value-of select="/all_results/results[@name = 'company']/row/add3" />
											</fo:block>
									</xsl:if>
									<fo:block xsl:use-attribute-sets="summary-headings" space-after="12px" margin-left="24px">
											<xsl:value-of select="/all_results/results[@name = 'company']/row/adcity" />
											<xsl:value-of select="', '" />
											<xsl:value-of select="/all_results/results[@name = 'company']/row/adst" />
											<xsl:value-of select="' '" />
											<xsl:value-of select="substring(/all_results/results[@name = 'company']/row/adzip, 1, 5)" />
											<xsl:if test="substring(/all_results/results[@name = 'company']/row/adzip, 6, 4) != ''">
													<xsl:value-of select="'-'" />
													<xsl:value-of select="substring(/all_results/results[@name = 'company']/row/adzip, 6, 4)" />
											</xsl:if>
									</fo:block>
							</fo:table-cell>
							<fo:table-cell>
									<fo:block xsl:use-attribute-sets="report-title">Credit Check</fo:block>
							</fo:table-cell>
					</fo:table-row>
			</fo:table-header>
			<fo:table-body>
					<fo:table-row>
							<fo:table-cell padding-top=".25in">
									<fo:block xsl:use-attribute-sets="category-label">
										Date : 
										<fo:inline xsl:use-attribute-sets="component-1">
											<xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
										</fo:inline>
									</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-top=".25in">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:if test="normalize-space(credit:getAgentName($credit_report))">
										Agent : 
										<fo:inline xsl:use-attribute-sets="component-1">
												<xsl:value-of select="credit:getAgentName($credit_report)" />
										</fo:inline>
									</xsl:if>
									<xsl:value-of select="' '"/>
								</fo:block>
							</fo:table-cell>
					</fo:table-row>
			</fo:table-body>
	</fo:table>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="3.5in" />
			<fo:table-column column-width="3.5in" />
			<fo:table-body>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="center" number-columns-spanned="2">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Billing Information'" />
								</fo:block>
						</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Name:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getFirstName($credit_report)"/>
									<xsl:if test="normalize-space(credit:getMiddleName($credit_report))">
											<xsl:value-of select="' '"/>
											<xsl:value-of select="credit:getMiddleName($credit_report)"/>
									</xsl:if>
									<xsl:value-of select="' '"/>
									<xsl:value-of select="credit:getLastName($credit_report)"/>
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Drivers License:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getDriversLicense($credit_report)"/>
									<xsl:if test="normalize-space(credit:getDriversLicenseState($credit_report))">
										<xsl:value-of select="' | '"/>
										<xsl:value-of select="credit:getDriversLicenseState($credit_report)"/>
									</xsl:if>
								</fo:block>
						</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Address:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getAddressLine1($credit_report)"/>
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getAddressLine2($credit_report)"/>
								</fo:block>
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getAddressLine3($credit_report)"/>
								</fo:block>			
								<fo:block margin-left="16px">
										<xsl:value-of select="credit:getCity($credit_report)" />
										<xsl:value-of select="', '" />
										<xsl:value-of select="credit:getState($credit_report)" />
										<xsl:value-of select="' '" />
										<xsl:value-of select="substring(integer:toString(credit:getZip($credit_report)), 1, 5)" />
										<xsl:if test="substring(integer:toString(credit:getZip($credit_report)), 6, 4) != '0000'">
												<xsl:value-of select="'-'" />
												<xsl:value-of select="substring(integer:toString(credit:getZip($credit_report)), 6, 4)" />
										</xsl:if>
								</fo:block>								
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'SSN:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="substring(integer:toString(credit:getSocialSecurityNumber($credit_report)), 1, 3)"/>
									<xsl:value-of select="'-'"/>
									<xsl:value-of select="substring(integer:toString(credit:getSocialSecurityNumber($credit_report)), 4, 2)"/>
									<xsl:value-of select="'-'"/>
									<xsl:value-of select="substring(integer:toString(credit:getSocialSecurityNumber($credit_report)), 6, 4)"/>
								</fo:block>
						</fo:table-cell>
				</fo:table-row>		
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Contact Number:'" />
								</fo:block>						
								<xsl:if test="credit:getAreaCode($credit_report) and integer:intValue(credit:getAreaCode($credit_report)) > 0">
										<fo:block margin-left="16px">
											<xsl:value-of select="'('" />
											<xsl:value-of select="credit:getAreaCode($credit_report)"/>
											<xsl:value-of select="') '" />
											<xsl:value-of select="credit:getExchange($credit_report)"/>
											<xsl:value-of select="'-'" />
											<xsl:value-of select="credit:getLine($credit_report)"/>
										</fo:block>						
								</xsl:if>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'DOB:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="' '"/>
								</fo:block>						
						</fo:table-cell>
				</fo:table-row>					
			</fo:table-body>
	</fo:table>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="7.0in" />
			<fo:table-body>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="center">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Notes'" />
								</fo:block>
						</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Comments:'" />
								</fo:block>						
								<fo:block margin-left="16px">
									<xsl:value-of select="credit:getComment($credit_report)"/>
									<xsl:value-of select="' '" />
								</fo:block>
						</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
	</fo:table>
	<fo:table space-before="15px">
			<fo:table-column column-width="3.5in" />
			<fo:table-column column-width="3.5in" />
			<fo:table-body>
					<fo:table-row>
							<fo:table-cell number-columns-spanned="2">
								<fo:block xsl:use-attribute-sets="component-1" text-align="justify">
								Customer hereby agrees and consents to the obtainment by MTC of any and all personal credit and/or financial information and does hereby agree and consent to MTC's use thereof for purposes of waiving any service deposit or determining wheather or not service to Customer should be initiated or continued.  Customer certifies and warrents that the information provided in this contract is complete and correct.  MTC may require a security deposit.
								</fo:block>
							</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
							<fo:table-cell display-align="bottom">
									<fo:block xsl:use-attribute-sets="summary-headings" 
											margin-top="16px" 
											font-weight="normal" border-bottom-style="solid" border-bottom-width="1px">
											Customer Signature: <fo:external-graphic src="{$sigimg}" content-width="175px" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell display-align="bottom">
									<fo:block xsl:use-attribute-sets="summary-headings" 
											margin-top="16px" 
											font-weight="normal" border-bottom-style="solid" border-bottom-width="1px">
											Date: <xsl:value-of select="format-date(current-date(), '[M]/[D]/[Y]')" />
									</fo:block>
							</fo:table-cell>
					</fo:table-row>
			</fo:table-body>
	</fo:table>
</xsl:template>
</xsl:stylesheet>






