<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: cust_adj.xsl,v 1.2 2015-08-17 20:59:30 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Adjustments'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row" />
	</xsl:call-template>
	<xsl:call-template name="adjdetail" />
</xsl:template>

<xsl:template name="adjdetail">	
	<xsl:choose>
		<xsl:when test="exists(/all_results/results[@name = 'adjdetail']/row)">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.5in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Adjustment Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Serv</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Batch</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Batch Description</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Post Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Lvl</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Code</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Description</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Adjustment Description</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Adjustment Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Taxes Amount</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'adjdetail']/row">
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./itcc" />
										<xsl:with-param name="yy" select="./ityy" />
										<xsl:with-param name="mm" select="./itmm" />
										<xsl:with-param name="dd" select="./itdd" />
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:call-template name="phone">
										<xsl:with-param name="npa" select="./cnpa"/>
										<xsl:with-param name="nxx" select="./cnxx"/>
										<xsl:with-param name="line" select="./cline"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:if test="./dccc &gt; 0">
										<xsl:call-template name="date4parm">
											<xsl:with-param name="cc" select="./dccc"/>
											<xsl:with-param name="yy" select="./dcyy"/>
											<xsl:with-param name="mm" select="./dcmm"/>
											<xsl:with-param name="dd" select="./dcdd"/>
										</xsl:call-template>
									</xsl:if>
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" >
								<fo:block>
									<xsl:value-of select="format-number(./btchid, '#########0')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" >
								<fo:block>
									<xsl:value-of select="./btchdsc" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" >
								<fo:block>
									<xsl:choose>
										<xsl:when test="./btchsts = 'P'">
											<xsl:value-of select="./postdate" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="'Not Posted'" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./adjlvl" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./item" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./itmdsc" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./adjdsc" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./itmrat, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left" number-columns-spanned="10">
							<fo:block>
								<xsl:value-of select="'Total'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/itmrat), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'adjdetail']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Information Found</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>






