<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: cust_marketaddr.xsl,v 1.1 2016-06-29 16:13:45 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java"
				version="2.0">
				
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Customer Marketing Address'" />

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	
	<xsl:template name="body_process">
		<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'detail']/row">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="2.0in" />
				<xsl:if test="$customerCode = 'BUGT' or $customerCode = 'bugt'">
					<fo:table-column column-width="2.0in" />
				</xsl:if>
				<fo:table-header>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Cycle/Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>MDN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Market Name and Address</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Serials</fo:block>
						</fo:table-cell>
						<xsl:if test="$customerCode = 'BUGT' or $customerCode = 'bugt'">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Tower Description</fo:block>
							</fo:table-cell>
						</xsl:if>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row">
						<fo:table-row keep-together="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="format-number(./cycle, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./account, '0000000')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="phone">
										<xsl:with-param name="npa" select="./cnpa"/>
										<xsl:with-param name="nxx" select="./cnxx"/>
										<xsl:with-param name="line" select="./cline"/>
									</xsl:call-template>
								</fo:block>			
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./fname" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="./lname" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./marketingname" />
								</fo:block>
								<xsl:if test="normalize-space(./marketingaddr1)">
									<fo:block>
										<xsl:value-of select="./marketingaddr1" />
									</fo:block>
								</xsl:if>
								<xsl:if test="normalize-space(./marketingaddr2)">
									<fo:block>
										<xsl:value-of select="./marketingaddr2" />
									</fo:block>
								</xsl:if>
								<fo:block>
									<xsl:value-of select="./marketcity" />
									<xsl:value-of select="', '" />
									<xsl:value-of select="./marketst" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="substring(./marketzip, 1, 5)" />
									<xsl:if test="substring(./marketzip, 6, 4) != '0000'">
										<xsl:value-of select="'-'" />
										<xsl:value-of select="substring(./marketZip, 6, 4)" />
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<xsl:if test="./imnumb != 0">
									<fo:block>
										<xsl:value-of select="'IMSI: '" />
										<xsl:value-of select="format-number(./imctry, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./imcomp, '00')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./imnumb, '0000000000')" />															
									</fo:block>
								</xsl:if>
								<xsl:if test="./imei != 0">
									<fo:block>
										<xsl:value-of select="'IMEI: '" />
										<xsl:value-of select="format-number(./imei, '000000000000000')"/>							
									</fo:block>
								</xsl:if>
								<xsl:if test="normalize-space(./meid) > ''">
									<fo:block>
										<xsl:value-of select="'MEID: '" />
										<xsl:value-of select="./meid"/>							
									</fo:block>
								</xsl:if>
								<xsl:if test="./esn != 0">
									<fo:block>
										<xsl:value-of select="'ESN: '" />
										<xsl:value-of select="format-number(./esn, '00000000000')"/>							
									</fo:block>
								</xsl:if>
							</fo:table-cell>
							<xsl:if test="$customerCode = 'BUGT' or $customerCode = 'bugt'">
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./towerdescription"/>							
									</fo:block>
								</fo:table-cell>
							</xsl:if>							
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block>No Accounts Found</fo:block>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>