<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: customer_dataitems.xsl,v 1.3 2014-12-30 21:29:41 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Customer List By Data Item'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">

	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'itemcounts']/row">
				<xsl:for-each-group select="/all_results/results[@name = 'itemcounts']/row" group-by="normalize-space(dchgin)">
					<xsl:variable name="chargeind" select="current-group()[position() = 1]/dchgin"/>

						<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="0.5in" />
								<fo:table-column column-width="4.5in" />
								<fo:table-column column-width="0.5in" />
								<fo:table-column column-width="0.5in" />
								<fo:table-column column-width="0.5in" />
								<fo:table-header>
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings" 
																			 text-align="left"
																			 number-columns-spanned="5">
														<fo:block>
															Data Item: <xsl:value-of select="$chargeind"/>
															<xsl:value-of select="' - '" />
															<xsl:choose>
															<xsl:when test="$chargeind = '12'" >
																	<xsl:value-of select="'SMS'" />
															</xsl:when>
															<xsl:when test="$chargeind = '19'" >
																	<xsl:value-of select="'DATA'" />
															</xsl:when>											
															<xsl:when test="$chargeind = '50'" >
																	<xsl:value-of select="'MMS'" />
															</xsl:when>											
															<xsl:when test="$chargeind = '51'" >
																	<xsl:value-of select="'MMS'" />
															</xsl:when>											
															<xsl:otherwise>
																	<xsl:value-of select="'Unknown Type'" />
															</xsl:otherwise>
															</xsl:choose>
														</fo:block>
												</fo:table-cell>
										</fo:table-row>			
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Plan/Item</fo:block>
												</fo:table-cell>								
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Desc</fo:block>
												</fo:table-cell>							
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Inst Cnts</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>On Hnd Cnts</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Rmv Cnts</fo:block>
												</fo:table-cell>												
										</fo:table-row>
								</fo:table-header>					
								<fo:table-body>
										<xsl:for-each select="/all_results/results[@name = 'itemcounts']/row[dchgin = $chargeind]">
											<fo:table-row>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
														<fo:block>
															<xsl:value-of select="./item"/>
														</fo:block>
													</fo:table-cell>																				
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
														<fo:block>
																<xsl:value-of select="./itmdsc"/>
														</fo:block>
													</fo:table-cell>										
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./install, '###,##0')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./onhand, '###,##0')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./remove, '###,##0')" />
														</fo:block>
													</fo:table-cell>													
												</fo:table-row>								
									 </xsl:for-each>					 
										<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="2">									
												<fo:block>
													<xsl:value-of select="'Total'"/>
												</fo:block>
											</fo:table-cell>																				
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'itemcounts']/row[dchgin = $chargeind]/install), '###,##0')" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'itemcounts']/row[dchgin = $chargeind]/onhand), '###,##0')" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'itemcounts']/row[dchgin = $chargeind]/remove), '###,##0')" />
												</fo:block>
											</fo:table-cell>													
										</fo:table-row>								
									 
									</fo:table-body>
							</fo:table>				 
				</xsl:for-each-group>
		</xsl:when>
		<xsl:otherwise>
				<fo:block>No Accounts Found for selected item(s)</fo:block>
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>
</xsl:stylesheet>






