<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: customer_lastbillitem.xsl,v 1.2 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Customers With Last Date To Bill Items'" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:choose>
            <xsl:when test="/all_results/results[@name = 'accts']/row">
                <fo:table table-layout="fixed" width="100%" space-before="16px">
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="0.5in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-header>
                        <fo:table-row>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Cycle/Account</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Service Number</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Disconnect Date</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Account Name</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Item</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Item Status</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Item Rate</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Last Date To Bill</fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </fo:table-header>
                    <fo:table-body>
                        <xsl:for-each select="/all_results/results[@name = 'accts']/row">
                            <xsl:if test="./chgtyp = 'A'">
                                <fo:table-row>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:value-of select="format-number(./cycle, '000')" />
                                            <xsl:value-of select="'-'" />
                                            <xsl:value-of select="format-number(./acct, '0000000')" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>              
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>                                    
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="./fname" />
                                            <xsl:value-of select="' '" />
                                            <xsl:value-of select="./lname" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="./itemdesc" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:choose>
                                                <xsl:when test="./billin = 'Y'">
                                                    <fo:block>
                                                        <xsl:value-of select="'I'" />
                                                    </fo:block>
                                                </xsl:when>
                                                <xsl:when test="./billrm = 'Y'">
                                                    <fo:block>
                                                        <xsl:value-of select="'R'" />
                                                    </fo:block>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <fo:block>
                                                        <xsl:value-of select="'O'" />
                                                    </fo:block>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                        <fo:block>
                                            <xsl:value-of select="format-number(./itmrat, '##,###,##0.00')" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:if test="./lbmm &gt; 0">
                                                <xsl:call-template name="date4parm">
                                                    <xsl:with-param name="cc" select="./lbcc" />
                                                    <xsl:with-param name="yy" select="./lbyy" />
                                                    <xsl:with-param name="mm" select="./lbmm" />
                                                    <xsl:with-param name="dd" select="./lbdd" />
                                                </xsl:call-template>
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </xsl:if>
                            <xsl:if test="./chgtyp = 'S'">
                                <fo:table-row>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:value-of select="format-number(./cycle, '000')" />
                                            <xsl:value-of select="'-'" />
                                            <xsl:value-of select="format-number(./acct, '0000000')" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:if test="./cnpa &gt; 0 and ./cnxx &gt; 0">
                                                <xsl:call-template name="phone">
                                                    <xsl:with-param name="npa" select="./cnpa" />
                                                    <xsl:with-param name="nxx" select="./cnxx" />
                                                    <xsl:with-param name="line" select="./cline" />
                                                </xsl:call-template>
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:if test="./dcmm &gt; 0">
                                                <xsl:call-template name="date4parm">
                                                    <xsl:with-param name="cc" select="./dccc" />
                                                    <xsl:with-param name="yy" select="./dcyy" />
                                                    <xsl:with-param name="mm" select="./dcmm" />
                                                    <xsl:with-param name="dd" select="./dcdd" />
                                                </xsl:call-template>
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="./fname" />
                                            <xsl:value-of select="' '" />
                                            <xsl:value-of select="./lname" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block>
                                            <xsl:value-of select="./itemdesc" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:choose>
                                                <xsl:when test="./billin = 'Y'">
                                                    <fo:block>
                                                        <xsl:value-of select="'I'" />
                                                    </fo:block>
                                                </xsl:when>
                                                <xsl:when test="./billrm = 'Y'">
                                                    <fo:block>
                                                        <xsl:value-of select="'R'" />
                                                    </fo:block>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <fo:block>
                                                        <xsl:value-of select="'O'" />
                                                    </fo:block>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                        <fo:block>
                                            <xsl:value-of select="format-number(./itmrat, '##,###,##0.00')" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                        <fo:block>
                                            <xsl:if test="./lbmm &gt; 0">
                                                <xsl:call-template name="date4parm">
                                                    <xsl:with-param name="cc" select="./lbcc" />
                                                    <xsl:with-param name="yy" select="./lbyy" />
                                                    <xsl:with-param name="mm" select="./lbmm" />
                                                    <xsl:with-param name="dd" select="./lbdd" />
                                                </xsl:call-template>
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </xsl:if>
                        </xsl:for-each>
                    </fo:table-body>
                </fo:table>
            </xsl:when>
            <xsl:otherwise>
                <fo:block>No Accounts Found for selection</fo:block>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
