<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: drawertotals_final.xsl,v 1.30 2015-09-30 21:52:29 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				xmlns:util="java:com.psasoft.util.TextUtilities" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:import href="drawertotals.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Drawer Total Summary - Final'" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:choose>
			<xsl:when test="/all_results/results[@name = 'sum']/row">
				<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3 or $report_type = 4 or $report_type = 5 or $report_type = 6">
					<xsl:call-template name="summary" />
				</xsl:if>
				<xsl:if test="$report_type = 1 or $report_type = 4 or $report_type = 7">
					<xsl:call-template name="detail" />
				</xsl:if>
				<xsl:if test="$report_type = 2 or $report_type = 5 or $report_type = 8">
					<xsl:call-template name="briefdetail" />
				</xsl:if>
			</xsl:when>
            <xsl:otherwise>
                <fo:block>Drawer Id Not Found</fo:block>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="summary">
		<xsl:variable name="marketcount" select="count(/all_results/results[@name = 'market']/row)" />
		<!--  
   		<xsl:variable name="final-balance" select="/all_results/results[@name = 'sum']/row[position() = 1]/begbal + sum(/all_results/results[@name = 'sum']/row/cash) - sum(/all_results/results[@name = 'sum']/row/change) + /all_results/results[@name = 'sum']/row[position() = 1]/amtlong - /all_results/results[@name = 'sum']/row[position() = 1]/amtshrt"/>
		<xsl:variable name="total_cash"	select="sum(/all_results/results[@name = 'sum']/row/cash) - sum(/all_results/results[@name = 'sum']/row/change) + /all_results/results[@name = 'sum']/row[position() = 1]/begbal" />
		<xsl:variable name="total_cash_nobegbal"	select="sum(/all_results/results[@name = 'sum']/row/cash) - sum(/all_results/results[@name = 'sum']/row/change)" />
		-->
		<xsl:variable name="final-balance" select="/all_results/results[@name = 'sum']/row[position() = 1]/begbal + sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt)" />
		<xsl:variable name="total_cash" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt) + /all_results/results[@name = 'sum']/row[position() = 1]/begbal" />
		<xsl:variable name="total_cash_nobegbal" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt)" />

		<!--  
		<xsl:variable name="total_credit" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CREDT']/credit)" />
		<xsl:variable name="total_check" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHECK']/chck)" />
		-->
		<xsl:variable name="tenderedcount" select="count(/all_results/results[@name = 'tenderedtypes']/row)" />

		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
												<xsl:value-of select="'Drawer'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
												<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/drwnam" />
										</fo:block>
									</fo:table-cell>																
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
												<xsl:value-of select="'CSR Phone'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
												<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/csphone" />
										</fo:block>
									</fo:table-cell>								
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
												<xsl:value-of select="'CSR E-Mail'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
												<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/csemai" />
										</fo:block>
									</fo:table-cell>								
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells">
												<xsl:value-of select="'Reconciled By'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
												<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/name" />
										</fo:block>
									</fo:table-cell>								
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells">
												<xsl:value-of select="'Reconciled Date'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:call-template name="date4parm">
												<xsl:with-param name="cc" select="/all_results/results[@name = 'sum']/row[position() = 1]/reccc"/>
												<xsl:with-param name="yy" select="/all_results/results[@name = 'sum']/row[position() = 1]/recyy"/>
												<xsl:with-param name="mm" select="/all_results/results[@name = 'sum']/row[position() = 1]/recmm"/>
												<xsl:with-param name="dd" select="/all_results/results[@name = 'sum']/row[position() = 1]/recdd"/>
											</xsl:call-template>										
											<xsl:value-of select="' '" />
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/rechh, '00')" />
											<xsl:value-of select="':'" />
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/recmn, '00')" />
											<xsl:value-of select="':'" />																		
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/recss, '00')" />
										</fo:block>
									</fo:table-cell>								
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="left" padding-end="10px" number-columns-spanned="2">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/cmnt" />
										</fo:block>
									</fo:table-cell>								
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
					<fo:table-cell>
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Beginning Cash Balance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/begbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Cash In '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[./cash &gt; 0]/cash), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Cash Out '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/change) + (sum(/all_results/results[@name = 'sum']/row/returntaxcash) * -1), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Amount Long '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/amtlong, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Amount Short '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/amtshrt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Final Cash Balance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($final-balance, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>	
					<fo:table-cell>
						<fo:block color="black"><xsl:value-of select="' '" /></fo:block>
						<!--  
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Cash'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Checks'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_check, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Bank Dep'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal + $total_check, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total CC Amount'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_credit, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total CC &amp; Bank Dep'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal + $total_check + $total_credit, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>								
							</fo:table-body>
						</fo:table>		
						-->			
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>		
		<xsl:variable name="coladjust">
			<xsl:choose>
				<xsl:when test="$marketcount > 1 and ($report_type = 4 or $report_type = 5 or $report_type = 6)">
					<xsl:value-of select="1" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="0" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
				<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Purchases Paid</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Purchases Billed</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Payments</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Write-Off Payments</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Misc Adj</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Tax Amount</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt" border-left-style="double" border-right-style="double">
						<fo:block>Total Invoices</fo:block>
					</fo:table-cell>					
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'sum']/row">
					<xsl:sort select="./ptrusr" />
					<xsl:sort select="./market" />
					<fo:table-row>
						<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="$marketcount > 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
						</xsl:if>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./purchasepaid + ./purchtaxpaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./purchasebill + ./purchtaxbill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="' '" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./misc + ./misctax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
							<fo:block>
								<xsl:value-of select="format-number(./purchasepaid + ./purchasebill + ./payment + ./misc + ./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>		
					</fo:table-row>
				</xsl:for-each>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
						<fo:block>
							<xsl:value-of select="'Totals'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff != 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff = 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/payment) + sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>		
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<fo:table-column column-width="0.70in" />
			<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">			
				<xsl:if test="./tenderedtype != 'CASH'">
					<fo:table-column column-width="0.70in" />
				</xsl:if>
			</xsl:for-each>
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />				
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Cash</fo:block>
					</fo:table-cell>					
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>
									<xsl:value-of select="'Total '" />
									<xsl:value-of select="./tendereddesc" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Bill To</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Return Amount</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<!--  
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
						<fo:block>
							<xsl:value-of select="'Beginning Cash Balance'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/begbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" number-columns-spanned="{$tenderedcount + 1}">
						<fo:block color="black">
							<xsl:value-of select="' '" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				-->
				<xsl:for-each select="/all_results/results[@name = 'sum']/row">
					<xsl:sort select="./ptrusr" />
					<xsl:sort select="./market" />
					<xsl:variable name="user" select="./ptrusr" />
					<xsl:variable name="market" select="./market" />
					<fo:table-row>
						<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="$marketcount > 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
						</xsl:if>			
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./cash - ./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
							<xsl:if test="./tenderedtype != 'CASH'">
								<xsl:variable name="tenderedtype" select="./tenderedtype" />
								<xsl:choose>
									<xsl:when test="($report_type = 1 or $report_type = 2 or $report_type = 3) and exists(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt)">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./returnamt + ./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>		
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
						<fo:block>
							<xsl:value-of select="'Totals'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number($total_cash_nobegbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">
						<xsl:variable name="tenderedtype" select="./tenderedtype" />				
						<xsl:if test="./tenderedtype != 'CASH'">
							<xsl:variable name="tenderedtype" select="./tenderedtype" />
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/returnamt) + sum(/all_results/results[@name = 'sum']/row/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>								
			</fo:table-body>
		</fo:table>	

		<xsl:if test="$marketcount > 1">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px" keep-with-next="always">Market Summary</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="8px">
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Market'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Cash Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Credit Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Check Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Bill To'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Total'" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
						<xsl:sort select="market"/>
						<xsl:variable name="market" select="current-group()[position() = 1]/market" />
						<fo:table-row keep-with-previous="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block color="black">
									<xsl:value-of select="$market" />
									<xsl:value-of select="' - '" />
									<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/cash) - sum(/all_results/results[@name = 'sum']/row[market = $market]/change), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CREDT']/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CHECK']/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/cash) - sum(/all_results/results[@name = 'sum']/row[market = $market]/change) + sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CREDT']/tenderedamt) + sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CHECK']/tenderedamt) + sum(/all_results/results[@name = 'sum']/row[market = $market]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each-group>				
				</fo:table-body>
			</fo:table>		
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px" keep-with-next="always">Tax Totals</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<xsl:if test="$marketcount > 1" >
				<fo:table-column column-width="2.0in" />
			</xsl:if>
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$marketcount > 1" >
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Market'" />
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Federal Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'State Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'City Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'County Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Misc Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Total Tax'" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:if test="$marketcount > 1" >
					<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
						<xsl:sort select="market"/>
						<xsl:variable name="market" select="current-group()[position() = 1]/market" />
						<fo:table-row keep-with-previous="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block color="black">
									<xsl:value-of select="$market" />
									<xsl:value-of select="' - '" />
									<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>							
					</xsl:for-each-group>
				</xsl:if>
				<fo:table-row keep-with-previous="always">
					<xsl:if test="$marketcount > 1" >
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>					
    </xsl:template>

</xsl:stylesheet>
