<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: drawertotals_range.xsl,v 1.6 2015-02-24 22:17:51 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			    xmlns:fo="http://www.w3.org/1999/XSL/Format" 
			    xmlns:java="http://xml.apache.org/xslt/java" 
			    xmlns:util="java:com.psasoft.util.TextUtilities" 
			    exclude-result-prefixes="java" 
			    version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:import href="drawertotals.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title">
		<xsl:choose>
		<xsl:when test="$report_type = 9">										
			<xsl:value-of select="'Location '" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="'Drawer '" />
		</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="concat(' Balance for Date Range ', $sold_date[1], ' to ', $sold_date[2])" />
     </xsl:variable>
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape-small-margin" />
            <xsl:call-template name="make-body-landscape-small-margin" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:choose>
			<xsl:when test="/all_results/results[@name = 'sum']/row">
				<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3 or $report_type = 4 or $report_type = 5 or $report_type = 6 or $report_type = 9">
					<xsl:call-template name="summaryrange" />
				</xsl:if>
				<xsl:if test="$report_type = 1 or $report_type = 4 or $report_type = 7">
					<xsl:call-template name="detail" />
				</xsl:if>
				<xsl:if test="$report_type = 2 or $report_type = 5 or $report_type = 8">
					<xsl:call-template name="briefdetail" />
				</xsl:if>
			</xsl:when>
            <xsl:otherwise>
                <fo:block>No Drawer Information Found</fo:block>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="summaryrange">
   		<xsl:variable name="final-balance" select="/all_results/results[@name = 'sum']/row/begbal + sum(/all_results/results[@name = 'sum']/row/cash) - sum(/all_results/results[@name = 'sum']/row/change) + /all_results/results[@name = 'sum']/row[position() = 1]/amtlong - /all_results/results[@name = 'sum']/row[position() = 1]/amtshrt"/>
		<xsl:variable name="marketcount" select="count(/all_results/results[@name = 'market']/row)" />
		<xsl:variable name="cols">
			<xsl:choose>
			<xsl:when test="$report_type = 9">
				<xsl:choose>
				<xsl:when test="$marketcount > 1">
					<xsl:value-of select="8"/> 
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="7"/> 
				</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
				<xsl:when test="$marketcount > 1">
					<xsl:value-of select="9"/> 
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="8"/> 
				</xsl:otherwise>
				</xsl:choose>									
			</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
								
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.20in" />
			</xsl:if>
			<xsl:choose>
			<xsl:when test="$report_type = 9">										
				<fo:table-column column-width="1.20in" />
			</xsl:when>
			<xsl:otherwise>
				<fo:table-column column-width="0.60in" />
			</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="$report_type != 9">				
				<fo:table-column column-width="0.60in" />
			</xsl:if>
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Mkt</fo:block>
						</fo:table-cell>									
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Date</fo:block>
					</fo:table-cell>									
					<xsl:if test="$report_type != 9">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Purch Paid</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Purch Billed</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Pmts</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total WO Pmts</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Misc Adj</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt" border-left-style="double" border-right-style="double">
						<fo:block>Total Invoices</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>		
				<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="./drwnam">		
					<xsl:variable name="drwnam" select="current-group()[position() = 1]/drwnam"/>
					<fo:table-row>										
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left" number-columns-spanned="{$cols}">
							<fo:block xsl:use-attribute-sets="component-2">
								<xsl:choose>
								<xsl:when test="$report_type = 9">										
									<xsl:value-of select="'Location: '" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'Drawer: '" />
								</xsl:otherwise>
								</xsl:choose>
								<xsl:value-of select="$drwnam" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<xsl:for-each select="/all_results/results[@name = 'sum']/row[drwnam = $drwnam]">
						<fo:table-row>				
							<xsl:if test="$marketcount > 1">
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
										<fo:block>
												<xsl:value-of select="./market" />
										</fo:block>
								</fo:table-cell>												
							</xsl:if>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
											<xsl:value-of select="./reconciledate" />
									</fo:block>
							</fo:table-cell>			
							<xsl:if test="$report_type != 9">
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
										<fo:block>
												<xsl:value-of select="./ptrusr" />
										</fo:block>
								</fo:table-cell>
							</xsl:if>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./purchasepaid + ./purchtaxpaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./purchasebill + ./purchtaxbill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>													
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:choose>
									<xsl:when test="./wrtoff = 'W'">
										<xsl:value-of select="' '" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:choose>
									<xsl:when test="./wrtoff = 'W'">
										<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="' '" />
									</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>						
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./misc + ./misctax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid + ./purchasebill + ./payment + ./misc, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>													
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" number-columns-spanned="{$cols - 6}">
								<fo:block xsl:use-attribute-sets="component-2">
									<xsl:choose>
									<xsl:when test="$report_type = 9">										
										<xsl:value-of select="'Total for Location '" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="'Total for Drawer'" />
									</xsl:otherwise>
									</xsl:choose>
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchasepaid) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchasebill) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam and wrtoff != 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam and wrtoff = 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/misc) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>										
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchasepaid) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/purchasebill) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/misc) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>																				
					</fo:table-row>										
				</xsl:for-each-group>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" number-columns-spanned="{$cols - 6}">
							<fo:block xsl:use-attribute-sets="component-2">
									<xsl:value-of select="'Totals'" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff != 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff = 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
						<fo:block color="black">
							<xsl:value-of
								select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>									
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		
		<xsl:variable name="tenderedcount" select="count(/all_results/results[@name = 'tenderedtypes']/row)" />
		<xsl:variable name="cols2">
			<xsl:choose>
			<xsl:when test="$report_type = 9">
				<xsl:choose>
				<xsl:when test="$marketcount > 1">
					<xsl:value-of select="$tenderedcount + 7"/> 
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$tenderedcount + 6"/> 
				</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
				<xsl:when test="$marketcount > 1">
					<xsl:value-of select="$tenderedcount + 9"/> 
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$tenderedcount + 8"/> 
				</xsl:otherwise>
				</xsl:choose>									
			</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.20in" />
			</xsl:if>
			<xsl:choose>
			<xsl:when test="$report_type = 9">										
				<fo:table-column column-width="1.20in" />
			</xsl:when>
			<xsl:otherwise>
				<fo:table-column column-width="0.60in" />
			</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="$report_type != 9">				
				<fo:table-column column-width="0.60in" />
			</xsl:if>
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">			
				<xsl:if test="./tenderedtype != 'CASH'">
					<fo:table-column column-width="0.60in" />
				</xsl:if>
			</xsl:for-each>
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Mkt</fo:block>
						</fo:table-cell>									
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Date</fo:block>
					</fo:table-cell>									
					<xsl:if test="$report_type != 9">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Cash In</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Cash Out</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Net Cash Amount</fo:block>
					</fo:table-cell>
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>
									<xsl:value-of select="'Total '" />
									<xsl:value-of select="./tendereddesc" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>					
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Bill To</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Return Amt</fo:block>
					</fo:table-cell>								
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Amt Long</fo:block>
					</fo:table-cell>                       
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Amt Short</fo:block>
					</fo:table-cell>																				
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>		
				<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="./drwnam">		
					<xsl:variable name="drwnam" select="current-group()[position() = 1]/drwnam"/>
					<fo:table-row>										
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left" number-columns-spanned="{$cols2}">
							<fo:block xsl:use-attribute-sets="component-2">
								<xsl:choose>
								<xsl:when test="$report_type = 9">										
									<xsl:value-of select="'Location: '" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'Drawer: '" />
								</xsl:otherwise>
								</xsl:choose>
								<xsl:value-of select="$drwnam" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<xsl:for-each select="/all_results/results[@name = 'sum']/row[drwnam = $drwnam]">
						<xsl:variable name="user" select="./ptrusr" />
						<xsl:variable name="market" select="./market" />					
						<fo:table-row>				
							<xsl:if test="$marketcount > 1">
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
										<fo:block>
												<xsl:value-of select="./market" />
										</fo:block>
								</fo:table-cell>												
							</xsl:if>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
											<xsl:value-of select="./reconciledate" />
									</fo:block>
							</fo:table-cell>			
							<xsl:if test="$report_type != 9">
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
										<fo:block>
												<xsl:value-of select="./ptrusr" />
										</fo:block>
								</fo:table-cell>
							</xsl:if>													
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block color="black">
											<xsl:value-of select="format-number(./cash - ./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
								<xsl:if test="./tenderedtype != 'CASH'">
									<xsl:variable name="tenderedtype" select="./tenderedtype" />
									<xsl:choose>
										<xsl:when test="($report_type = 1 or $report_type = 2 or $report_type = 3) and exists(/all_results/results[@name = 'sumtendered']/row[./drwnam = $drwnam and ./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
												<fo:block>
													<xsl:value-of select="format-number(/all_results/results[@name = 'sumtendered']/row[./drwnam = $drwnam and ./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
												</fo:block>
											</fo:table-cell>
										</xsl:when>
										<xsl:otherwise>
											<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
												<fo:block>
													<xsl:value-of select="' '" />
												</fo:block>
											</fo:table-cell>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</xsl:for-each>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./returnamt + ./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<fo:block>
											<xsl:value-of select="format-number(./amtlong, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
									<xsl:choose>
									<xsl:when test="./amtshrt &lt; 0">
											<fo:block color="red">
													<xsl:value-of select="format-number(./amtshrt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
									</xsl:when>
									<xsl:otherwise>
											<fo:block>
													<xsl:value-of select="format-number(./amtshrt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
									</xsl:otherwise>
									</xsl:choose>
							</fo:table-cell>														
						</fo:table-row>
					</xsl:for-each>
					<xsl:variable name="total_cash" select="sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/cash)"/>
					<xsl:variable name="total_change" select="sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/change)"/>
					<xsl:variable name="total_short" select="sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/amtshrt)"/>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" number-columns-spanned="{$cols2 - $tenderedcount - 6}">
								<fo:block xsl:use-attribute-sets="component-2">
									<xsl:choose>
									<xsl:when test="$report_type = 9">										
										<xsl:value-of select="'Total for Location '" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="'Total for Drawer'" />
									</xsl:otherwise>
									</xsl:choose>
								</fo:block>
						</fo:table-cell>									
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number($total_cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number($total_change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number($total_cash - $total_change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>	
						<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
							<xsl:if test="./tenderedtype != 'CASH'">
								<xsl:variable name="tenderedtype" select="./tenderedtype" />
								<xsl:choose>
									<xsl:when test="($report_type = 1 or $report_type = 2 or $report_type = 3) and exists(/all_results/results[@name = 'sumtendered']/row[./drwnam = $drwnam and ./tenderedtype = $tenderedtype]/tenderedamt)">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
											<fo:block color="black">
												<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./drwnam = $drwnam and ./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
											<fo:block color="black">
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>						
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/returnamt) + sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[drwnam = $drwnam]/amtlong), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<xsl:choose>
								<xsl:when test="$total_short &lt; 0">
										<fo:block color="red">
												<xsl:value-of select="format-number($total_short, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
								</xsl:when>
								<xsl:otherwise>
										<fo:block color="black">
												<xsl:value-of select="format-number($total_short, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
								</xsl:otherwise>
								</xsl:choose>														
						</fo:table-cell>												
					</fo:table-row>										
				</xsl:for-each-group>
				<xsl:variable name="total_cash" select="sum(/all_results/results[@name = 'sum']/row/cash)"/>
				<xsl:variable name="total_change" select="sum(/all_results/results[@name = 'sum']/row/change)"/>
				<xsl:variable name="total_short" select="sum(/all_results/results[@name = 'sum']/row/amtshrt)"/>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" number-columns-spanned="{$cols2 - $tenderedcount - 6}">
							<fo:block xsl:use-attribute-sets="component-2">
									<xsl:value-of select="'Totals'" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_cash - $total_change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>	
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<xsl:variable name="tenderedtype" select="./tenderedtype" />
							<xsl:choose>
								<xsl:when test="($report_type = 1 or $report_type = 2 or $report_type = 3) and exists(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
										<fo:block color="black">
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</xsl:for-each>						
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/returnamt) + sum(/all_results/results[@name = 'sum']/row/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/amtlong), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<xsl:choose>
							<xsl:when test="$total_short &lt; 0">
									<fo:block color="red">
											<xsl:value-of select="format-number($total_short, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</xsl:when>
							<xsl:otherwise>
									<fo:block color="black">
											<xsl:value-of select="format-number($total_short, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</xsl:otherwise>
							</xsl:choose>																										
					</fo:table-cell>										
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		
		<xsl:if test="$marketcount > 1">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px" keep-with-next="always">Market Summary</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="8px">
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Market'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Cash Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Credit Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Check Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Bill To'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Total'" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
						<xsl:sort select="market"/>
						<xsl:variable name="market" select="current-group()[position() = 1]/market" />
						<fo:table-row keep-with-previous="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block color="black">
									<xsl:value-of select="$market" />
									<xsl:value-of select="' - '" />
									<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/cash) - sum(/all_results/results[@name = 'sum']/row[market = $market]/change), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/credit), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/chck), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/purchasepaid) + 
									sum(/all_results/results[@name = 'sum']/row[market = $market]/purchasebill) + 
									sum(/all_results/results[@name = 'sum']/row[market = $market]/misc) + 
									sum(/all_results/results[@name = 'sum']/row[market = $market]/payment) + 
									sum(/all_results/results[@name = 'sum']/row[market = $market]/returnamt) + 
									sum(/all_results/results[@name = 'sum']/row[market = $market]/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each-group>				
				</fo:table-body>
			</fo:table>		
		</xsl:if>		
		<xsl:if test="$include_tax_totals = 'TRUE'">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
					Tax Totals
			</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="8px">
					<xsl:if test="$marketcount > 1" >
						<fo:table-column column-width="2.0in" />
					</xsl:if>				
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-body>
							<fo:table-row>
								<xsl:if test="$marketcount > 1" >
									<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
											<xsl:value-of select="'Market'" />
										</fo:block>
									</fo:table-cell>
								</xsl:if>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'Federal Tax'" />
										</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'State Tax'" />
										</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'City Tax'" />
										</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'County Tax'" />
										</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'Misc Tax'" />
										</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>
												<xsl:value-of select="'Total Tax'" />
										</fo:block>
								</fo:table-cell>										
						</fo:table-row>
						<xsl:if test="$marketcount > 1" >
							<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
								<xsl:sort select="market"/>
								<xsl:variable name="market" select="current-group()[position() = 1]/market" />
								<fo:table-row keep-with-previous="always">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block color="black">
											<xsl:value-of select="$market" />
											<xsl:value-of select="' - '" />
											<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>							
							</xsl:for-each-group>
						</xsl:if>						
						<fo:table-row>
							<xsl:if test="$marketcount > 1" >
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
										<xsl:value-of select="'Totals'" />
									</fo:block>
								</fo:table-cell>
							</xsl:if>						
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
									<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
							</fo:table-cell>								
						</fo:table-row>
				</fo:table-body>
			</fo:table>			
		</xsl:if>
    </xsl:template>

</xsl:stylesheet>
