<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: imeihistory.xsl,v 1.3 2014-08-12 19:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'IMEI History'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width="3.0in" />
		<fo:table-column column-width="3.0in" />
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Changed Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>IMEI</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'imei']/row">    
					<xsl:sort select="./imeid01" order="descending" />
						<xsl:call-template name="imei_row">
							<xsl:with-param name="imei" select="./imei01"/>
							<xsl:with-param name="imeidt" select="./imeid01"/>
						</xsl:call-template>
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>    
</xsl:template>

<xsl:template name="imei_row">
  <xsl:param name="imei"/>
  <xsl:param name="imeidt"/>
  
	<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:call-template name="date1parm">
							<xsl:with-param name="date" select="$imeidt"/>
					</xsl:call-template>	
				</fo:block>
			</fo:table-cell>																				
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="normalize-space($imei)">
						<xsl:value-of select="$imei"/>
					</xsl:if>
				</fo:block>
			</fo:table-cell>										
	</fo:table-row>		
</xsl:template>

</xsl:stylesheet>






