<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: incmp_cpni.xsl,v 1.1 2009-05-13 16:23:16 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Incomplete CPNI Account Setup'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'data']/row">	
			<fo:table table-layout="fixed" space-before="8px">
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="3.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="4.0in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Account</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Account Name</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>CPNI Status</fo:block>
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Missing</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'data']/row">    
								<fo:table-row>
										<xsl:call-template name="ccrow">
											<xsl:with-param name="row" select="."/>
										</xsl:call-template>		
								</fo:table-row>		
						 </xsl:for-each>
						</fo:table-body>
				</fo:table>    
		</xsl:when>
		<xsl:otherwise>
				<fo:block space-before="16px">No Incomplete CPNI Records Found</fo:block>
		</xsl:otherwise>
	</xsl:choose>		
</xsl:template>

<xsl:template name="ccrow">
		<xsl:param name="row" />
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
					<xsl:value-of select="format-number($row/cycle, '000')" />
					<xsl:value-of select="'-'" />
					<xsl:value-of select="format-number($row/account, '0000000')" />
			</fo:block>
		</fo:table-cell>	
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
			<fo:block>
					<xsl:value-of select="$row/fname" />
					<xsl:value-of select="' '" />
					<xsl:value-of select="$row/lname" />		
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
			<fo:block>
				<xsl:choose>
					<xsl:when test="$row/status = '' or $row/status = '0'">
						<xsl:value-of select="'No CPNI Record'"/>
					</xsl:when>
					<xsl:when test="$row/status = '1'">
						<xsl:value-of select="'PIN Generated'"/>
					</xsl:when>
					<xsl:when test="$row/status = '2'">
						<xsl:value-of select="'Password Active'"/>
					</xsl:when>
					<xsl:when test="$row/status = '3'">
						<xsl:value-of select="'Password Expired'"/>
					</xsl:when>
					<xsl:when test="$row/status = '4'">
						<xsl:value-of select="'CPNI Refused'"/>
					</xsl:when>			
					<xsl:when test="$row/status = '5'">
						<xsl:value-of select="'Web Disabled'"/>
					</xsl:when>										
					<xsl:otherwise>
						<xsl:value-of select="$row/status"/>
					</xsl:otherwise>
				</xsl:choose>						
			</fo:block>
		</fo:table-cell>		
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" keep-together="always">
			<xsl:if test="normalize-space($row/username) = '' or normalize-space($row/password) = ''">
					<fo:block>
							<xsl:value-of select="'Username or password not set. '"/>
					</fo:block>
			</xsl:if>
			<xsl:if test="normalize-space($row/verques1) = '' or normalize-space($row/veranswer1) = ''">
					<fo:block>
							<xsl:value-of select="'Question or Answer 1 not set. '"/>
					</fo:block>
			</xsl:if>					
			<xsl:if test="$row/questcnt > 1 and (normalize-space($row/verques2) = '' or normalize-space($row/veranswer2) = '')">					
					<fo:block>
							<xsl:value-of select="'Question or Answer 2 not set. '"/>
					</fo:block>
			</xsl:if>					
			<xsl:if test="$row/questcnt > 2 and (normalize-space($row/verques3) = '' or normalize-space($row/veranswer3) = '')">					
					<fo:block>
							<xsl:value-of select="'Question or Answer 3 not set. '"/>
					</fo:block>
			</xsl:if>					
		</fo:table-cell>			
</xsl:template>		

</xsl:stylesheet>






