<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: installment_detail.xsl,v 1.2 2014-11-04 21:39:03 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">
  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="''"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'install']/row)">
		<xsl:for-each select="/all_results/results[@name = 'install']/row">
			<xsl:call-template name="installments">
				<xsl:with-param name="install" select="." />
			</xsl:call-template>
		</xsl:for-each>
	</xsl:when>
	<xsl:otherwise>
		<fo:block>No installment information found</fo:block>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="installments"> 
	<xsl:param name="install" />

	<fo:block space-before="10px">
		<xsl:value-of select="' '" />
	</fo:block>
	<fo:table table-layout="fixed">
		<fo:table-column column-width="2.00in"/>
		<fo:table-column column-width="2.00in"/>
		<fo:table-column column-width="4.00in"/>
		<fo:table-column column-width="2.00in"/>
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" color="black">
						Schedule Start Date:
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="$install/schedate" />
					</fo:block>
				</fo:table-cell>
				<xsl:choose>
				<xsl:when test="$install/icurdue > 0">
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" color="black">
							Payment Count before Upgrade is Allowed:
						</fo:block>				
					</fo:table-cell>
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:choose>
							<xsl:when test="$install/pmtupgrdcnt">
								<xsl:value-of select="format-number($install/pmtupgrdcnt, '##0')" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="' '" />
							</xsl:otherwise>
							</xsl:choose>
						</fo:block>				
					</fo:table-cell>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-cell border-style="none" text-align="left" number-columns-spanned="2">
						<fo:block>
							<xsl:value-of select="' '" />
						</fo:block>				
					</fo:table-cell>
				</xsl:otherwise>
				</xsl:choose>
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" color="black">
						Installment Item:
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="$install/itemid" />
						<xsl:value-of select="' - '" />
						<xsl:value-of select="$install/itemdesc" />
					</fo:block>
				</fo:table-cell>
				<xsl:choose>
				<xsl:when test="$install/icurdue > 0">
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" color="black">
							Payments Remaining before Upgrade is Allowed:
						</fo:block>		
					</fo:table-cell>
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:choose>
							<xsl:when test="$install/pmtupgrdcnt">
								<xsl:value-of select="format-number($install/pmtupgrdcnt - $install/pmtcount, '##0')" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="' '" />
							</xsl:otherwise>
							</xsl:choose>							
						</fo:block>
					</fo:table-cell>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-cell border-style="none" text-align="left" number-columns-spanned="2">
						<fo:block>
							<xsl:value-of select="' '" />
						</fo:block>				
					</fo:table-cell>
				</xsl:otherwise>
				</xsl:choose>								
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" color="black">
						Item Serial:
					</fo:block>
				</fo:table-cell>			
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="$install/invssn" />
					</fo:block>
				</fo:table-cell>			
				<xsl:choose>
				<xsl:when test="$install/icurdue > 0">
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" color="black">
							Percent Paid before Upgrade is Allowed:
						</fo:block>
					</fo:table-cell>			
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:choose>
							<xsl:when test="$install/ipctretupg">
								<xsl:value-of select="format-number($install/ipctretupg, '##0.00%')" />		
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="' '" />
							</xsl:otherwise>
							</xsl:choose>	
						</fo:block>
					</fo:table-cell>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-cell border-style="none" text-align="left" number-columns-spanned="2">
						<fo:block>
							<xsl:value-of select="' '" />
						</fo:block>				
					</fo:table-cell>
				</xsl:otherwise>
				</xsl:choose>												
			</fo:table-row>
			<fo:table-row>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" color="black">
						Original Invoice:
					</fo:block>
				</fo:table-cell>			
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="$install/invid" />
					</fo:block>
				</fo:table-cell>			
				<xsl:choose>
				<xsl:when test="$install/icurdue > 0">
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" color="black">
							Total Payment before Upgrade is Allowed:
						</fo:block>
					</fo:table-cell>			
					<fo:table-cell border-style="none" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:choose>
							<xsl:when test="$install/ipctretupg">
								<xsl:value-of select="format-number(($install/beginbal * $install/ipctretupg) - ($install/beginbal - $install/icurdue), '$ ##,##0.00;$ -##,##0.00')" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="' '" />
							</xsl:otherwise>
							</xsl:choose>								
						</fo:block>
					</fo:table-cell>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-cell border-style="none" text-align="left" number-columns-spanned="2">
						<fo:block>
							<xsl:value-of select="' '" />
						</fo:block>				
					</fo:table-cell>
				</xsl:otherwise>
				</xsl:choose>												
			</fo:table-row>	
			<fo:table-row>
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" color="black">
						Annual Percentage Rate:
					</fo:block>
				</fo:table-cell>			
				<fo:table-cell border-style="none" text-align="left">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/instintrt, '##0.00 %')" />
					</fo:block>
				</fo:table-cell>			
				<fo:table-cell border-style="none" text-align="left" number-columns-spanned="2">
					<fo:block>
						<xsl:value-of select="' '" />
					</fo:block>				
				</fo:table-cell>
			</fo:table-row>						
		</fo:table-body>
	</fo:table>
	
	<fo:table table-layout="fixed">
		<fo:table-column column-width="1.00in"/>
		<fo:table-column column-width="0.50in"/>
		<fo:table-column column-width="1.00in"/>
		<fo:table-column column-width="0.75in"/>
		<fo:table-column column-width="1.00in"/>
		<fo:table-column column-width="0.75in"/>
		<fo:table-column column-width="0.50in"/>
		<fo:table-column column-width="0.75in"/>
		<fo:table-column column-width="1.00in"/>
		<fo:table-column column-width="1.00in"/>		
		<fo:table-column column-width="1.00in"/>		
		<fo:table-header>
			<fo:table-row keep-with-next="always">
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Amount Financed</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Orig Term</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Downpay</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Sale Price</fo:block>
				</fo:table-cell>					
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Current Balance</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Monthly Pay Amt</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Pmnt Count</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Last Pmnt</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Last Paid Date</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Last Pmnt Due</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
					<fo:block>Write Off Amount</fo:block>
				</fo:table-cell>
				
			</fo:table-row>
		</fo:table-header>						
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/beginbal, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/origterm, '##0')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/pitamt, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/beginbal + $install/pitamt, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/icurdue, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:choose>
						<xsl:when test="$install/itmrat > ''">
							<xsl:value-of select="format-number($install/itmrat, '$ ##,##0.00;$ -##,##0.00')" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="' '" />
						</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/pmtcount, '##0')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/lpayamt, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="$install/lpaydate" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:choose>
						<xsl:when test="$install/itmrat > ''">
							<xsl:call-template name="date4parm">
								<xsl:with-param name="cc" select="$install/lbcc"/>
								<xsl:with-param name="yy" select="$install/lbyy"/>
								<xsl:with-param name="mm" select="$install/lbmm"/>
								<xsl:with-param name="dd" select="$install/lbdd"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="' '" />
						</xsl:otherwise>
						</xsl:choose>							
					</fo:block>
				</fo:table-cell>					
				<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
					<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="format-number($install/upgwoamt, '$ ##,##0.00;$ -##,##0.00')" />
					</fo:block>
				</fo:table-cell>				
			</fo:table-row>
		</fo:table-body>
	</fo:table>

</xsl:template>

</xsl:stylesheet>






