<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: installment_indigo.xsl,v 1.1 2015-10-20 18:10:53 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				xmlns:pos="java:com.psasoft.pos.util.POSUtil"
				exclude-result-prefixes="java" version="2.0">
  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="''"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body-web"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'install']/row)">
		<xsl:call-template name="pageone" />
	</xsl:when>
	<xsl:otherwise>
		<fo:block>No installment information found</fo:block>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="pageone"> 
	<xsl:variable name="cust" select="/all_results/results[@name = 'cust']/row"/>
	<xsl:variable name="install" select="/all_results/results[@name = 'install']/row"/>
	<xsl:variable name="calcpay" select="pos:calculateInstallmentsPaymentReport(number($install/beginbal), number($install/origterm), number($install/instintrt), 10)"/>
	<xsl:variable name="lastpay">
		<xsl:choose>
		<xsl:when test="($install/itmrat * $install/origterm) = ($calcpay * $install/origterm)">
			<xsl:value-of select="$install/itmrat" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="($calcpay * $install/origterm) - ($install/itmrat * ($install/origterm - 1))" />
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<fo:block-container absolute-position="fixed" left="2.8cm" top="0.5in" width="6.25in">
		<fo:block xsl:use-attribute-sets="report-title" font-size="16pt" font-weight="bold" text-align="center">
		    <xsl:value-of select="' Retail Installment Sale Agreement '" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="report-title" font-size="12pt" font-weight="bold" text-align="center">
		    <xsl:value-of select="' Creditor/Seller:  Americell  PA3-LP, d.b.a. Indigo Wireless '" />
		</fo:block>		
		<fo:block xsl:use-attribute-sets="report-title" font-size="12pt" font-weight="bold" text-align="center">
		    <xsl:value-of select="' 64 Main Street, Wellsboro, PA 16901 '" />
		</fo:block>			
	</fo:block-container>
	<fo:block-container absolute-position="fixed" left="3cm" top="1.25in" width="3.75in" padding="5pt">
		<fo:block>
			<fo:inline xsl:use-attribute-sets="category-label">Account: </fo:inline>		                        
			<xsl:value-of select="format-number($cust/ptcyc, '000')" />
			<xsl:value-of select="'-'" />
			<xsl:value-of select="format-number($cust/ptacct, '0000000')" />
		</fo:block>
		<fo:block>
			<fo:inline xsl:use-attribute-sets="category-label">Buyer's Name: </fo:inline>		                        
			<xsl:value-of select="$cust/fname" />
			<xsl:value-of select="$cust/lname" />
		</fo:block>
		<fo:block>
			<fo:inline xsl:use-attribute-sets="category-label">Phone # : </fo:inline>		                        
			<xsl:value-of select="format-number($cust/cnpa, '000')" />
			-
			<xsl:value-of select="format-number($cust/cnxx, '000')" />
			-
			<xsl:value-of select="format-number($cust/cline, '0000')" />
		</fo:block>		
		<fo:block>
			<fo:inline xsl:use-attribute-sets="category-label">Address: </fo:inline>		                        
		</fo:block>
		<xsl:if test="normalize-space($cust/adln1)">
			<fo:block margin-left=".5in">
				<xsl:value-of select="$cust/adln1" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($cust/adln2)">
			<fo:block margin-left=".5in">
				<xsl:value-of select="$cust/adln2" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($cust/adln3)">
			<fo:block margin-left=".5in">
				<xsl:value-of select="$cust/adln3" />
			</fo:block>
		</xsl:if>
		<fo:block margin-left=".5in">
			<xsl:value-of select="$cust/adcity" />
			<xsl:value-of select="', '" />
			<xsl:value-of select="$cust/adst" />
			<xsl:value-of select="' '" />
			<xsl:value-of select="substring($cust/adzip, 1, 5)"/>
			<xsl:if test="substring($cust/adzip, 6, 4) != '0000' and substring($cust/adzip, 6, 4) != ''" >
				<xsl:value-of select="'-'"/>
				<xsl:value-of select="substring($cust/adzip, 6, 4)"/>
			</xsl:if>
		</fo:block>
		<fo:block space-before="12pt">
			<fo:inline xsl:use-attribute-sets="category-label">Device Description : </fo:inline>		                        
			<xsl:value-of select="$install/itemdesc" />
		</fo:block>
		<fo:block>
			<fo:inline xsl:use-attribute-sets="category-label">Product IMEI : </fo:inline>		                        
			<xsl:value-of select="$install/invssn" />
		</fo:block>	
	</fo:block-container>
	<fo:block-container absolute-position="fixed" left="3cm" top="3.5in" width="6.25in">
		<fo:table table-layout="fixed">
			<fo:table-column column-width="1.0in"/>
			<fo:table-column column-width="1.0in"/>
			<fo:table-column column-width="1.0in"/>
			<fo:table-column column-width="1.0in"/>
			<fo:table-column column-width="1.0in"/>
			<fo:table-column column-width="1.0in"/>
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings" number-columns-spanned="6" color="black" text-align="center">
						<fo:block>Federal Truth-In-Lending Disclosures</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Annual Percentage Rate.</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Finance Charge</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Amount Financed</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Total of Payments</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Total Downpayment</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Total Sale Price</fo:block>
					</fo:table-cell>					
				</fo:table-row>
			</fo:table-header>						
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($install/instintrt, '##0.00 %')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:choose>
							<xsl:when test="(($calcpay * $install/origterm) - $install/beginbal) > 0.00">
								<xsl:value-of select="format-number((($calcpay * $install/origterm) - $install/beginbal), '$ ##,##0.00;$ -##,##0.00')" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(0, '$ ##,##0.00')" />
							</xsl:otherwise>
							</xsl:choose>							
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($install/beginbal, '$ ##,##0.00;$ -##,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($calcpay * $install/origterm, '$ ##,##0.00;$ -##,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($install/pitamt, '$ ##,##0.00;$ -##,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="right">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($install/beginbal + $install/pitamt, '$ ##,##0.00;$ -##,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The cost of Buyer<fo:character character="&#8217;" />s credit as a yearly rate.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The dollar amount the credit will cost Buyer.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell  color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The amount of credit provided to Buyer or on Buyer<fo:character character="&#8217;" />s behalf.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell  color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The amount Buyer will have paid after all payments have been made as scheduled.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell  color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The Buyer<fo:character character="&#8217;" />s down payment.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell  color="black" text-align="left" display-align="before" xsl:use-attribute-sets="table-headings">
						<fo:block font-size="6pt">
							The total cost of Buyer<fo:character character="&#8217;" />s purchase on credit, including Buyer<fo:character character="&#8217;" />s down payment.
						</fo:block>
					</fo:table-cell>
				</fo:table-row>				
			</fo:table-body>
		</fo:table>
		<fo:block space-before=".25in" xsl:use-attribute-sets="category-label">
			Your payment schedule will be:
		</fo:block>	
		<xsl:choose>
			<xsl:when test="$install/itmrat = $lastpay">
				<fo:block space-before=".10in">
					<fo:inline xsl:use-attribute-sets="category-label">Number of monthly payments: </fo:inline>		                        
					<xsl:value-of select="format-number($install/origterm, '##0')" />
				</fo:block>		
				<fo:block>
					<fo:inline xsl:use-attribute-sets="category-label">Payment amount: </fo:inline>		                        
					<xsl:value-of select="format-number($install/itmrat, '$ ##,##0.00;$ -##,##0.00')" />
				</fo:block>		
			</xsl:when>
			<xsl:otherwise>
				<fo:block space-before=".10in">
					<fo:inline xsl:use-attribute-sets="category-label">Number of monthly payments: </fo:inline>		                        
					<xsl:value-of select="format-number($install/origterm - 1, '##0')" />
				</fo:block>		
				<fo:block>
					<fo:inline xsl:use-attribute-sets="category-label">Payment amount: </fo:inline>		                        
					<xsl:value-of select="format-number($install/itmrat, '$ ##,##0.00;$ -##,##0.00')" />
				</fo:block>
				<fo:block>
					<fo:inline xsl:use-attribute-sets="category-label">Plus 1 final payment of: </fo:inline>		
					<xsl:value-of select="format-number(number($lastpay), '$ ##,##0.00;$ -##,##0.00')" /> 
				</fo:block>				
			</xsl:otherwise>
		</xsl:choose>
		<fo:block space-before="15pt">
			When Payments Are Due:  Monthly beginning with your next bill cycle	                        
		</fo:block>		
		<fo:block xsl:use-attribute-sets="smallprint-8" space-before="7pt"><fo:inline color="black" font-weight="bold">Security.</fo:inline>  As described in greater detail below, you are granting to Indigo Wireless a purchase money security interest in the Wireless Device described above that you are purchasing pursuant to this Agreement.</fo:block>
		<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">Late Charge.</fo:inline>  No late charges will be assessed under the terms of this Agreement.  (Late charges will be assessed for late payment of non-installment charges on your bill as specified in your Wireless Customer Agreement).</fo:block>
		<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">Prepayment.</fo:inline>  If you pay off all your debt early, you will not be charged a penalty.</fo:block>
		<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">Additional Information.</fo:inline>  See this Agreement for more information about nonpayment, default, any required repayment in full before scheduled date, and prepayment refunds and penalties.</fo:block>

	</fo:block-container>
	
	<fo:block-container absolute-position="fixed" left="3cm" top="8in" width="6.25in">
		<fo:block xsl:use-attribute-sets="smallprint-8" space-before="10pt" color="black">By signing this Retail Installment Sale Agreement (the <fo:character character="&#8220;" />Agreement<fo:character character="&#8221;" />), you, the Buyer choose to buy the Wireless Device on credit under the terms disclosed in this Agreement.  You hereby grant to Indigo Wireless a purchase money security interest in (i) the Device, (ii) any and all cash proceeds of the Device, including without limitation any debit card or cash received by you upon disposition of sale thereof or in exchange thereof, and  (iii) all non-cash proceeds thereof, to secure the payment and performance of your obligations hereunder (collectively, the <fo:character character="&#8220;" />Secured Obligations<fo:character character="&#8221;" />), including without limitation, any unpaid Amount Financed, and Finance Charge, and subject to applicable law, the reasonable and actual expenses of retaking, processing and disposing of the Device upon an event of default (which shall include reasonable attorneys<fo:character character="&#8217;" /> fees), which security interest will continue until Indigo Wireless has received payment in full of the Secured Obligations.  Buyer and Indigo Wireless intend and agree that this Agreement is a <fo:character character="&#8220;" />purchase money security interest<fo:character character="&#8221;" /> in the Device and the <fo:character character="&#8220;" />proceeds<fo:character character="&#8221;" /> thereof as defined in the Uniform Commercial Code in effect in the state of Buyer<fo:character character="&#8217;" />s billing address at the time this Agreement is signed.  You agree to pay Creditor or any assignee (also, <fo:character character="&#8220;" />Indigo Wireless<fo:character character="&#8221;" />, <fo:character character="&#8220;" />We<fo:character character="&#8221;" /> or <fo:character character="&#8220;" />Us<fo:character character="&#8221;" />) the Amount Financed and any Finance Charge in U.S. funds according to the payment schedule above.  The Truth in Lending Disclosures above are part of this Agreement.</fo:block>
	</fo:block-container>
	
	<fo:block break-before="page" />

	<fo:block-container absolute-position="fixed" width="8in" start-indent=".25in" top=".25in" >
	
		<fo:block xsl:use-attribute-sets="report-title" font-size="16pt" font-weight="bold" text-align="center">
			IMPORTANT TERMS REGARDING THIS AGREEMENT
		</fo:block>
		
		<fo:block space-before="0.25in" />

		<fo:table table-layout="fixed">
			<fo:table-column column-width="0.25in"/>
			<fo:table-column column-width="7.75in"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">DISPUTE RESOLUTION.</fo:inline></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<xsl:value-of select="' '" />
					</fo:table-cell>
					<fo:table-cell>
						<fo:table table-layout="fixed">
							<fo:table-column column-width="0.25in"/>
							<fo:table-column column-width="6.75in"/>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.1</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">Summary.</fo:inline>  If you have an issue that cannot be resolved through our customer service department and want you want to obtain third party intervention, you agree that Indigo Wireless will arbitrate with you before the American Arbitration Association using the Wireless Industry Arbitration rules.  All customer disputes will be resolved through arbitration</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.2</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">Arbitration Agreement.</fo:inline>  Indigo Wireless and you agree to arbitrate all disputes and claims between us.  This agreement to arbitrate is intended to be broadly interpreted.  It includes, but is not limited to:</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<xsl:value-of select="' '" />
									</fo:table-cell>
									<fo:table-cell>
										<fo:table table-layout="fixed">
											<fo:table-column column-width="0.30in"/>
											<fo:table-column column-width="5.70in"/>
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell>
														<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.2.1</fo:block>
													</fo:table-cell>
													<fo:table-cell>					
														<fo:block xsl:use-attribute-sets="smallprint-8" >Claims arising out of, or relating to any aspect of the relationship between us, whether based in contract, tort, statue, fraud, misrepresentation or any other legal theory;</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.2.2</fo:block>
													</fo:table-cell>
													<fo:table-cell>					
														<fo:block xsl:use-attribute-sets="smallprint-8" >Claims that arose before this or any prior Agreement (including, but not limited to, claims relating to advertising);</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">1.2.3</fo:block>
													</fo:table-cell>
													<fo:table-cell>					
														<fo:block xsl:use-attribute-sets="smallprint-8" >Claims that may arise after the termination of this Agreement.</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="2">
														<fo:block xsl:use-attribute-sets="smallprint-8" >References to <fo:character character="&#8220;" />Indigo Wireless,<fo:character character="&#8221;" /> <fo:character character="&#8220;" />you,<fo:character character="&#8221;" /> and <fo:character character="&#8220;" />us<fo:character character="&#8221;" /> include our respective subsidiaries, affiliates, agents, employees, predecessors in interest, successors, and assigns, as well as all authorized or unauthorized users or beneficiaries of services or devices under this or prior Agreements between us.  You agree that, by entering into this Agreement, you and Indigo Wireless are each waiving the right to a trial by jury or to participate in a class action.</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">2.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">RESPONSIBLE PARTY.</fo:inline>  As used herein, <fo:character character="&#8220;" />you,<fo:character character="&#8221;" /> or <fo:character character="&#8220;" />Buyer<fo:character character="&#8221;" /> means an individual or a business entity that is the customer of record,  If you are an individual signing on behalf of an entity or another individual, you represent that you are authorized to sign on their behalf and, if it is determined that you are not so authorized, you understand and agree to be personally responsible for and guarantee payment of any sums that become due under this Agreement.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">3.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">CREDIT QUALIFICATION.</fo:inline>  Indigo Wireless may check your credit with a credit-reporting agency or use your existing credit information on file to determine if you meet the credit qualifications required to enter into a Retail Installment Sale Agreement with us.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">4.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">PAYMENTS.</fo:inline>  Payments are due as stated in the payment schedule disclosed above.  A bill for each payment will be included as part of the bill that you will receive for service under your Customer Service Agreement.  Payments that you make will be applied in the following order: first to past due balances, then pro-rata to balances due under this Agreement, and under your Service Agreement.  Your obligation to make payments under this Agreement is not contingent upon Indigo<fo:character character="&#8217;" />s delivery of service.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">5.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">PREPAYMENT.</fo:inline>  You may pay the total amount due under this Agreement at any time before the final scheduled payment is due.  If you make a partial prepayment in order to become upgrade eligible, there will be no changes in the due dates or amount of your scheduled payment.  To make a pre-payment, your account must be current.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">6.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">RISK OF LOSS.</fo:inline>  You bear the entire risk of loss, theft or damage to the Device from any cause during the entire term of this Agreement.  Even if the Device is lost, stolen, or damaged, you remain obligated for the Total of Payments.  We recommend that you obtain property insurance on the Device.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">7.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">INDEMNITY.</fo:inline>  You are responsible for any and all liabilities, losses or damages, whether imposed on you or us, that are directly attributable to you or any of your acts or omissions during the time the Device is in your possession.  This provision shall survive the termination of this Agreement.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">DEFAULT.</fo:inline>  You will be in default of this Agreement if any one of the following events (<fo:character character="&#8220;" />event of default<fo:character character="&#8221;" />) occurs:</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<xsl:value-of select="' '" />
					</fo:table-cell>
					<fo:table-cell>
						<fo:table table-layout="fixed">
							<fo:table-column column-width="0.25in"/>
							<fo:table-column column-width="6.75in"/>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.1</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >You fail to make any required payment when due or within fifteen (15) days of the due date;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.2</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >You breach any covenant, representation or warranty in this Agreement;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.3</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >You default in the performance of any other obligation in this Agreement and such default continues for ten (10) days after we provide you with written notice of default;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.4</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >You fail to maintain voice and/or data service (voice and data are both required for smartphone Devices) under a Service Agreement for the wireless number associated with the Device.  This number may change upon mutual agreement.</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">8.5</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >You pledge, mortgage, encumber, create a lien on, adverse claim on or security interest in, or suffer the same to exist, lease, sell, dispose of, transfer, entrust, loan, or surrender possession of the Device while any Secured Obligation remains outstanding.</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">9.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">REMEDIES IN THE EVENT OF DEFAULT.</fo:inline>  In the event you are in default of this Agreement and to the extent permitted by applicable law, we have the right to exercise any one or more of the following remedies:</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<xsl:value-of select="' '" />
					</fo:table-cell>
					<fo:table-cell>
						<fo:table table-layout="fixed">
							<fo:table-column column-width="0.25in"/>
							<fo:table-column column-width="6.75in"/>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">9.1</fo:block>
									</fo:table-cell>
									<fo:table-cell>		
										<fo:block xsl:use-attribute-sets="smallprint-8" >Disable the Device<fo:character character="&#8217;" />s wireless network connectivity capabilities;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">9.2</fo:block>
									</fo:table-cell>
									<fo:table-cell>					
										<fo:block xsl:use-attribute-sets="smallprint-8" >Require you to immediately pay the sum of the remaining unpaid Amount Financed;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">9.3</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" >Require you to pay us actual and reasonable costs of collection, including attorney<fo:character character="&#8217;" />s fees;</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">9.4</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="smallprint-8" >Take possession of the Device and sell, lease, license or otherwise dispose of the Device to satisfy any unpaid Secured Obligation.</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell number-columns-spanned="2">
										<fo:block xsl:use-attribute-sets="smallprint-8" >We will give you notice of our intent to exercise our rights as required by applicable law.</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">10.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">ASSIGNMENT.</fo:inline>  Indigo Wireless may, without your consent or notice to you, assign this Agreement, but you will not assign this Agreement or any interest in it, or sell or offer to sell or transfer or enter into any lease with respect to the Device covered by this Agreement, without our written consent.  Indigo Wireless does not agree to any Transfer of the Device free and clear of its purchase money security interest and does not acquiesce in the retention or possession or the Device by a third party.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">11.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">PERIODIC STATEMENT.</fo:inline>  You will receive a statement each month showing the payment that is due under this Agreement for the coming month and any payments that were applied to the amount due the previous month.  Once you have made all payments due under this Agreement, you will receive a final statement indicating that fact.  These statements will be included as part of your bill for service under your Service Agreement.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">12.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">DISCLAIMER OF WARRANTIES/RETURN POLICY.</fo:inline>  Seller makes no warranties, express or implied, on the Device, and there will be no implied warranties of merchantability or of fitness for a particular purpose.  We have a limited return policy.  For more information about our return policy and manufacturer<fo:character character="&#8217;" />s warranties, please see your General Terms and Conditions, or ask a customer service representative for details.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">13.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">INDIGO WIRELESS ADVANCE TRADE-IN FOR SMARTPHONES.</fo:inline>  You may be eligible to trade-in your smartphone (other devices excluded) after your 18th installment payment.  Your account must be in good standing and your trade-in must be in good physical and fully functional condition.  Purchase of a new qualifying device is required, and the purchase is subject to then-available offers and any associated wireless service requirements.  After a successfully processed trade-in, we will terminate this Agreement and no future installment charges will be billed under this Agreement.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" color="black" font-weight="bold">14.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="smallprint-8" ><fo:inline color="black" font-weight="bold">INFORMATION CONTAINED ON YOUR SMARTPHONE.</fo:inline>  To protect your privacy, you acknowledge that before trading in you smartphone you have erased your contacts, calendar, photos, messages, call history, email, text messages, videos, web browsing history and any other personal, confidential or sensitive stored information from your device.</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>

	</fo:block-container>
	<fo:block break-before="page" />

	<fo:block-container absolute-position="fixed" width="8in" start-indent=".25in" top=".25in" >

		<fo:block xsl:use-attribute-sets="report-title" font-size="16pt" font-weight="bold" text-align="center">
			NOTICE TO BUYER:
		</fo:block>
		
		<fo:block space-before="0.5in"/>

		<fo:table table-layout="fixed">
			<fo:table-column column-width="0.25in"/>
			<fo:table-column column-width="7.0in"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">1.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>Do not sign this Agreement before you read it or if it contains blank spaces.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">2.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>You are entitled to an exact and completely filled-in copy of the contract you sign.  Keep it to protect your legal rights.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">3.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>Under the present law, you have the right, among others, to pay off in advance the full amount due at any time and under certain circumstances.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">4.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>This contract is covered by applicable federal and state laws, and you have the rights of a buyer under such laws.  As a buyer you have rights under the Pennsylvania Unfair Trade Practices and Consumer Protection Law (UTPCPL),</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">5.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>By signing this Agreement, you are granting to the Seller a purchase money security interest in the Device, all cash proceeds of the Device and all non-cash proceeds of the Device, which will continue until seller has received payment in full of the Secured Obligations.</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="black" font-weight="bold">6.</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>In the event you are in default under this Agreement, the seller may take possession of the Device and may sell, lease, license or otherwise dispose of the Device to satisfy any unpaid Secured Obligations.  Seller may not unlawfully enter your premises or commit any other breach of the peace to take possession of the Device.</fo:block>
					</fo:table-cell>
				</fo:table-row>		
			</fo:table-body>	
		</fo:table>
		
		<fo:block space-before="15pt">I acknowledge that I have read this Agreement and have received a copy from Indigo Wireless.</fo:block>

	</fo:block-container>

	<fo:block-container absolute-position="fixed" top="8in" left="0.5in" width="3.75in" padding="5pt">
		<fo:block>Seller:</fo:block>
		
		<fo:block space-before="0.5in">Americell PA3-LP</fo:block>
		<fo:block>d.b.a. Indigo Wireless</fo:block>
		<fo:block>64 Main Street, Wellsboro PA 16901</fo:block>
	
	</fo:block-container>
	<fo:block-container absolute-position="fixed" top="10in" left="0.5in" width="3.75in" padding="5pt">

		<fo:block height="1.5in" space-before="0.5in">
			<xsl:value-of select="' Salesperson: '" />
			<fo:inline xsl:use-attribute-sets="summary-headings" border-bottom-style="solid" border-bottom-width="1px">
				<xsl:value-of select="$install/username" />
			</fo:inline>
		</fo:block>
		<fo:block space-before="10px">
			<xsl:value-of select="' Date: '" /> 
			<xsl:value-of select="$install/schedate" />
		</fo:block>
	</fo:block-container> 
	
	<fo:block-container absolute-position="fixed" top="8in" left="4.75in" width="3.75in" padding="5pt">
		<fo:block>Buyer:</fo:block>
	</fo:block-container>
	
	<fo:block-container absolute-position="fixed" top="10in" left="4.75in" width="3.75in" padding="5pt">

		<fo:block height="1.5in" space-before="0.5in">
			<xsl:value-of select="' Signature: '" />
			<fo:inline xsl:use-attribute-sets="summary-headings" border-bottom-style="solid" border-bottom-width="1px">
				<xsl:choose>
					<xsl:when test="$sigpng > ''">
						<fo:external-graphic src="data:image/png;base64,{$sigpng}" content-width="1.5in" content-height="auto" />
					</xsl:when>
					<xsl:when test="$sigimg > ''">
						<fo:external-graphic src="data:image/jpeg;base64,{$sigimg}" content-width="3.0in" content-height="auto" />
					</xsl:when>
					<xsl:otherwise>
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
						<fo:character character="&#x2000;" />
					</xsl:otherwise>
				</xsl:choose>
			</fo:inline>
		</fo:block>
		<fo:block space-before="10px">
			<xsl:value-of select="' Date: '" /> 
			<xsl:value-of select="$install/schedate" />
		</fo:block>
	</fo:block-container> 
	
</xsl:template>

</xsl:stylesheet>






