<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
							  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
							  xmlns:java="http://xml.apache.org/xslt/java" 
				              xmlns:saxon="http://saxon.sf.net/"							  
							  xmlns:fn="http://www.w3.org/2005/02/xpath-functions" 
								extension-element-prefixes="saxon"							  
							  exclude-result-prefixes="java" 
							  version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'International Rates by Toll Rate Plan'" />

    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>	
    <xsl:template name="body_process">
		 <xsl:choose>
			<xsl:when test="/all_results/results[@name = 'intrate']/row">
					<fo:table table-layout="fixed" width="100%" space-before="5px">
							<fo:table-column column-width="1.50in" />
							<fo:table-column column-width="0.50in" />
							<fo:table-column column-width="0.50in" />
							<fo:table-column column-width="0.50in" />
							<fo:table-column column-width="0.75in" />
							<fo:table-column column-width="0.75in" />
							<fo:table-column column-width="1.00in" />
							<fo:table-column column-width="1.00in" />
					     <fo:table-header>
							<fo:table-row>
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Country</fo:block>
						    	</fo:table-cell>							
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Toll Rate Plan</fo:block>
						    	</fo:table-cell>
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Rate Step</fo:block>
						    	</fo:table-cell>
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>From</fo:block>
						    	</fo:table-cell>						    	
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>To</fo:block>
						    	</fo:table-cell>
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Init Min</fo:block>
						    	</fo:table-cell>	
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Init Rate</fo:block>
						    	</fo:table-cell>
						    	<fo:table-cell xsl:use-attribute-sets="table-headings">
						        	<fo:block>Add Rate</fo:block>
						    	</fo:table-cell>																								
							</fo:table-row>
						 </fo:table-header>
						 <fo:table-body>
							     <xsl:for-each select="/all_results/results[@name = 'intrate']/row">	
							 		<fo:table-row number-columns-spanned="8">
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:value-of select="./country" />
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:value-of select="./tollrateplan" />
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:value-of select="./ratestep" />
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./start1),'0000'),1,2),':',substring(format-number(number(./start1),'0000'),3,2))" />
											</fo:block>
											<xsl:if test="./end2 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./start2),'0000'),1,2),':',substring(format-number(number(./start2),'0000'),3,2))" />
											</fo:block></xsl:if>
											<xsl:if test="./end3 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./start3),'0000'),1,2),':',substring(format-number(number(./start3),'0000'),3,2))" />
											</fo:block></xsl:if>
											<xsl:if test="./end4 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./start4),'0000'),1,2),':',substring(format-number(number(./start4),'0000'),3,2))" />
											</fo:block></xsl:if>
										</fo:table-cell>			
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./end1),'0000'),1,2),':',substring(format-number(number(./end1),'0000'),3,2))" />
											</fo:block>
											<xsl:if test="./end2 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./end2),'0000'),1,2),':',substring(format-number(number(./end2),'0000'),3,2))" />
											</fo:block></xsl:if>
											<xsl:if test="./end3 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./end3),'0000'),1,2),':',substring(format-number(number(./end3),'0000'),3,2))" />
											</fo:block></xsl:if>
											<xsl:if test="./end4 &gt; 0"><fo:block>
												<xsl:value-of select="concat(substring(format-number(number(./end4),'0000'),1,2),':',substring(format-number(number(./end4),'0000'),3,2))" />
											</fo:block></xsl:if>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./initmin, '#########0')" />
											</fo:block>
											<xsl:if test="./end2 &gt; 0"><fo:block></fo:block></xsl:if>
											<xsl:if test="./end3 &gt; 0"><fo:block></fo:block></xsl:if>
											<xsl:if test="./end4 &gt; 0"><fo:block></fo:block></xsl:if>
										</fo:table-cell>			
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./initrate1, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
											<xsl:if test="./end2 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./initrate2, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>
											<xsl:if test="./end3 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./initrate3, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>
											<xsl:if test="./end4 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./initrate4, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>
										</fo:table-cell>																	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./addrate1, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
											<xsl:if test="./end2 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./addrate2, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>
											<xsl:if test="./end3 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./addrate3, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>
											<xsl:if test="./end4 &gt; 0"><fo:block>
												<xsl:value-of select="format-number(./addrate4, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block></xsl:if>											
										</fo:table-cell>
									</fo:table-row>
							 </xsl:for-each>
						 </fo:table-body>
					</fo:table>					
			</xsl:when>		
   			<xsl:when test="count(/all_results/results[@name = 'intrate']/row) &lt; 1">
      			<fo:block xsl:use-attribute-sets="category-label">No Information Found.</fo:block>
   			</xsl:when>			
 		</xsl:choose>
    </xsl:template>
</xsl:stylesheet>
