<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: intransit.xsl,v 1.8 2012-12-31 12:34:25 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
			    xmlns:invutil="java:com.psasoft.inventory.util.InventoryUtilities"
			    xmlns:catitm="java:com.psasoft.inventory.data.PCatalogItem"                
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl" />
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'In Transit'"/>  


<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:block xsl:use-attribute-sets="summary-component" font-size="12pt" font-weight="bold">
		Purchase Order: <fo:inline><xsl:value-of select="/all_results/results/row[position() = 1]/pono"/></fo:inline>
	</fo:block>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="2.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Code</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Serial #</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Quantity</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
					<xsl:for-each select="/all_results/results/row">
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<xsl:choose>
									<xsl:when test="./externalcd != ''" >
										<fo:block>
											<xsl:value-of select="./externalcd" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="./unitcode" />
										</fo:block>
									</xsl:otherwise>
									</xsl:choose>
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
									<fo:block>
										<xsl:value-of select="./item"/>
									</fo:block>
								</fo:table-cell>
								<xsl:choose>
								<xsl:when test="./serialized = 1">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="2">
										<fo:block>
											<fo:inline space-end="0.2in" space-start.precedence="force" wrap-option="wrap">
												<xsl:call-template name="formatserial">
													<xsl:with-param name="serial" select="./serialno2" />
													<xsl:with-param name="serial0" select="./serialno" />
													<xsl:with-param name="serial2typ" select="./serial2typ" />
													<xsl:with-param name="unitid" select="./unitid" />
													<xsl:with-param name="actpin" select="./actpin" />
													<xsl:with-param name="npa" select="./npa" />
													<xsl:with-param name="nxx" select="./nxx" />
													<xsl:with-param name="line" select="./line" />
												</xsl:call-template>
											</fo:inline>
										</fo:block>
									</fo:table-cell>											
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="' '"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="./cnt"/>
										</fo:block>
									</fo:table-cell>								
								</xsl:otherwise>						
								</xsl:choose>
							</fo:table-row>		
					 </xsl:for-each>
				</fo:table-body>
		</fo:table>				 
</xsl:template>
</xsl:stylesheet>






