<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Inventory Catalog Items'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'items']/row">
				<fo:table table-layout="fixed" width="100%" space-before="16px">
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="3in" />
					<fo:table-column column-width="2in" />
					<fo:table-header>
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Category</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Unit Code</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Billing Id</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Type</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Description</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Manufacturer/Model</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'items']/row">
							<fo:table-row keep-together="always">
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./category" />
										<xsl:if test="./catdeleted = '1'">
											<xsl:value-of select="' (deleted)'" />
										</xsl:if>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./unitcode" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./billid" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:choose>
										<xsl:when test="./serialized = '1'">
		                                    <xsl:call-template name="getserialname">
		                                        <xsl:with-param name="serial2typ" select="./serial2typ" />
		                                        <xsl:with-param name="s2typlabel" select="./s2typlabel" />
		                                    </xsl:call-template>
										</xsl:when>
										<xsl:when test="./virtual = '1'">
											<xsl:value-of select="'Virtual'" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="'Bulk'" />
										</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./desc" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./manu" />
										<xsl:value-of select="' '" />
										<xsl:value-of select="./model" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Information Found
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>