<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Inventory Duplicate Serial Numbers'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'dups']/row">
				<fo:table table-layout="fixed" width="100%" space-before="16px">
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="2.0in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="2.0in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-header>
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>PO No</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Location</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Unit Code</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Description</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Serial</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Status</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Rcv Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Rcv By</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'dups']/row">
							<fo:table-row keep-together="always">
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./pono" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./company" />
									</fo:block>
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./location" />
									</fo:block>									
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:choose>
										<xsl:when test="normalize-space(./unitcode) != ''" >
											<fo:block>
												<xsl:value-of select="./unitcode" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block>
												<xsl:value-of select="./externalcd" />
											</fo:block>
										</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="./item" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
										<xsl:value-of select="./serialno2" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
										<xsl:call-template name="inventorystatus">
											<xsl:with-param name="status" select="./status" />
											<xsl:with-param name="unitqty" select="./unitqty" />
										</xsl:call-template>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
										<xsl:value-of select="./rcvdate" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
										<xsl:value-of select="./rcvby" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
					No Information Found
						</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
