<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: inv_repair.xsl,v 1.1 2009-04-23 19:22:11 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Repair Report ', $item_repair_date[1], ' to ', $item_repair_date[2])" />


<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="1.75in" />
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="3.5in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Location</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item</fo:block>
									<fo:block>Serial</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sent To</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sent Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Due Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Repair Reason</fo:block>
									<fo:block>Comment</fo:block>
							</fo:table-cell>
					</fo:table-row>
			</fo:table-header>				
			<fo:table-body>
					<xsl:for-each select="/all_results/results/row">
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
												<xsl:value-of select="./fromloc"/>
									</fo:block>
									<xsl:if test="normalize-space(./toloc) > ''">
											<fo:block margin-left="10px">
													<xsl:value-of select="'Sent To: '"/>
													<xsl:value-of select="./toloc"/>
											</fo:block>									
									</xsl:if>											
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
									<fo:block>
												<xsl:value-of select="./unitdesc"/>
									</fo:block>
									<fo:block margin-left="10px">
											<fo:inline space-end="0.2in" space-start.precedence="force">
												<xsl:value-of select="./serialno2" />
												<xsl:if test="normalize-space(./serialno)">
													<xsl:value-of select="' (S#: '" />
													<xsl:value-of select="./serialno" />
													<xsl:value-of select="')'" />
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:inline>
									</fo:block>									
								</fo:table-cell>																								
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
												<xsl:value-of select="./name"/>
									</fo:block>
									<xsl:if test="normalize-space(./line1)">
										<fo:block margin-left="10px">
												<xsl:value-of select="./line1"/>
										</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space(./line2)">										
										<fo:block margin-left="10px">
												<xsl:value-of select="./line2"/>
										</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space(./line3)">										
										<fo:block margin-left="10px">
												<xsl:value-of select="./line3"/>
										</fo:block>
									</xsl:if>
									<fo:block margin-left="10px">
												<xsl:value-of select="./city"/>
												<xsl:value-of select="', '" />
												<xsl:value-of select="./state"/>
												<xsl:value-of select="' '" />
												<xsl:value-of select="./zip"/>
									</fo:block>			
									<xsl:if test="normalize-space(./country)">
										<fo:block margin-left="10px">
												<xsl:value-of select="./country"/>
										</fo:block>									
									</xsl:if>
									<xsl:if test="./pnpa > 0">
											<fo:block margin-left="10px">
													<xsl:call-template name="phone">
														<xsl:with-param name="npa" select="./pnpa"/>
														<xsl:with-param name="nxx" select="./pnxx"/>
														<xsl:with-param name="line" select="./pline"/>
													</xsl:call-template>
											</fo:block>									
									</xsl:if>
									<xsl:if test="./pnpa2 > 0">
											<fo:block margin-left="10px">
													<xsl:call-template name="phone">
														<xsl:with-param name="npa" select="./pnpa2"/>
														<xsl:with-param name="nxx" select="./pnxx2"/>
														<xsl:with-param name="line" select="./pline2"/>
													</xsl:call-template>
											</fo:block>									
									</xsl:if>									
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
									<fo:block>
												<xsl:value-of select="./tdate"/>
									</fo:block>								
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
									<fo:block>
												<xsl:value-of select="./duedate"/>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">					
									<fo:block>
												<xsl:value-of select="./reason"/>
									</fo:block>									
									<fo:block margin-left="10px">
												<xsl:value-of select="./comment"/>
									</fo:block>
								</fo:table-cell>															
							</fo:table-row>		
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>				 
</xsl:template>
</xsl:stylesheet>






