<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: paydup.xsl,v 1.3 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:util="java:com.psasoft.util.TextUtilities"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Possible Payment Duplicates Report'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:block xsl:use-attribute-sets="summary-cells">
		 <xsl:value-of select="'Payment Date Range '" />
		 <xsl:value-of select="$payment_date_range[1]" />
		 <xsl:value-of select="' to '" />
		 <xsl:value-of select="$payment_date_range[2]" />
	</fo:block>
	<xsl:choose>
	<xsl:when test="/all_results/results[@name = 'paydetail']/row">
	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width="0.75in" />
		<fo:table-column column-width="0.75in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="2.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.5in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Batch Id</fo:block>
						</fo:table-cell>				
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Batch Code</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Batch Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Account</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Payment Status</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Post Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Originating Place</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Pay Amount</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'paydetail']/row">    
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="format-number(./btchid, '#########0')"/>	
									</fo:block>
								</fo:table-cell>							
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./usrbchid"/>
									</fo:block>
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./btchdate"/>
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
											<xsl:value-of select="format-number(./cycle, '000')" />
											<xsl:value-of select="'-'" />
											<xsl:value-of select="format-number(./account, '0000000')" />
									</fo:block>	
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./fname"/>
										<xsl:value-of select="' '"/>
										<xsl:value-of select="./lname"/>
									</fo:block>
								</fo:table-cell>					
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./paysts"/>									
									</fo:block>
								</fo:table-cell>									
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./postdate"/>
									</fo:block>
								</fo:table-cell>					
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./orgplc"/>
									</fo:block>
								</fo:table-cell>									
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./pmtamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
						</fo:table-row>		
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Payments Found
			</fo:block>
		</xsl:otherwise>
		</xsl:choose>    
</xsl:template>

</xsl:stylesheet>






