<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: plansumm.xsl,v 1.3 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Plan Account Counts'" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set" />
            <xsl:call-template name="make-body" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <fo:table table-layout="fixed" width="100%" space-before="16px">
            <fo:table-column column-width="1.0in" />
            <fo:table-column column-width="3.0in" />
            <fo:table-column column-width="1.0in" />
            <fo:table-header>
                <fo:table-row keep-with-next="always">
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Plan</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Plan Description</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Accounts</fo:block>
                    </fo:table-cell>
                </fo:table-row>
            </fo:table-header>
            <fo:table-body>
                <xsl:for-each select="/all_results/results/row">
                    <fo:table-row>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                            <fo:block>
                                <xsl:value-of select="./plan" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                            <fo:block>
                                <xsl:value-of select="./itmdsc" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                            <fo:block>
                                <xsl:value-of select="format-number(./cnt, '##,###,##0')" />
                            </fo:block>
                        </fo:table-cell>
                    </fo:table-row>
                </xsl:for-each>
                <fo:table-row>
                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="2">
                        <fo:block>
                            <xsl:value-of select="'Total '" />
                        </fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                        <fo:block>
                            <xsl:value-of select="format-number(sum(/all_results/results/row/cnt), '##,###,##0')" />
                        </fo:block>
                    </fo:table-cell>
                </fo:table-row>
            </fo:table-body>
        </fo:table>
    </xsl:template>
</xsl:stylesheet>
