<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_order_recv.xsl,v 1.2 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="' '" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-small-margin" />
            <xsl:call-template name="make-body" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <fo:block xsl:use-attribute-sets="report-title" keep-with-next="always">Purchase Order - Order and Receive Counts</fo:block>
        <fo:table table-layout="fixed" width="100%">
            <fo:table-column column-width="3.75in" />
            <fo:table-column column-width="10 pt" />
            <fo:table-column column-width="3.75in" />
            <fo:table-body>
                <fo:table-row>
                    <fo:table-cell>
                        <fo:table table-layout="fixed" width="100%">
                            <fo:table-column column-width="0.60in" />
                            <fo:table-column column-width="1.70in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-header>
                                <fo:table-row keep-with-next="always">
                                    <fo:table-cell xsl:use-attribute-sets="table-headings" number-columns-spanned="5" text-align="center">
                                        <fo:block>Ordered</fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                                <fo:table-row keep-with-next="always">
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>PO Number</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Item</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Year</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Month</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Total</fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </fo:table-header>
                            <fo:table-body>
                                <xsl:for-each select="/all_results/results[@name = 'ord']/row">
                                    <fo:table-row>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./pono" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                            <fo:block>
                                                <xsl:value-of select="./itemdesc" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./orderyear" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./ordermon" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                            <fo:block>
                                                <xsl:value-of select="format-number(./totalordered, '##,###,##0')" />
                                            </fo:block>
                                        </fo:table-cell>
                                    </fo:table-row>
                                </xsl:for-each>
                            </fo:table-body>
                        </fo:table>
                    </fo:table-cell>
                    <fo:table-cell>
                        <fo:block>
                            <xsl:value-of select="' '" />
                        </fo:block>
                    </fo:table-cell>
                    <fo:table-cell>
                        <fo:table table-layout="fixed" width="100%">
                            <fo:table-column column-width="0.60in" />
                            <fo:table-column column-width="1.70in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-column column-width="0.50in" />
                            <fo:table-header>
                                <fo:table-row keep-with-next="always">
                                    <fo:table-cell xsl:use-attribute-sets="table-headings" number-columns-spanned="5" text-align="center">
                                        <fo:block>Received</fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                                <fo:table-row keep-with-next="always">
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>PO Number</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Item</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Year</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Month</fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                                        <fo:block>Total</fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </fo:table-header>
                            <fo:table-body>
                                <xsl:for-each select="/all_results/results[@name = 'recv']/row">
                                    <fo:table-row>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./pono" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                            <fo:block>
                                                <xsl:value-of select="./itemdesc" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./rcvyear" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                            <fo:block>
                                                <xsl:value-of select="./rcvmon" />
                                            </fo:block>
                                        </fo:table-cell>
                                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                            <fo:block>
                                                <xsl:value-of select="format-number(./totalrcv, '##,###,##0')" />
                                            </fo:block>
                                        </fo:table-cell>
                                    </fo:table-row>
                                </xsl:for-each>
                            </fo:table-body>
                        </fo:table>
                    </fo:table-cell>
                </fo:table-row>
            </fo:table-body>
        </fo:table>
    </xsl:template>
</xsl:stylesheet>
