<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_recv.xsl,v 1.14 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Receive Report'" />
    <xsl:variable name="name" select="$master/master/inv_company/desc" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
            <xsl:choose>
            <xsl:when test="$purchase_order/purchase_order/po_status = '6' or $purchase_order/purchase_order/po_status = '7'">
							<fo:table table-layout="fixed" width="100%">
									<fo:table-column column-width="2.0in" />
									<fo:table-column column-width="3.0in" />
									<fo:table-column column-width="2.0in" />
									<fo:table-column column-width="3.0in" />
									<fo:table-body>
										<fo:table-row>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															Purchase Order #:
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															<xsl:value-of select="$purchase_order/purchase_order/po_number" />
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															Received Date:
													</fo:block>
												</fo:table-cell>													
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															<xsl:value-of select="$master/master/received_date" />
													</fo:block>
												</fo:table-cell>						
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
													</fo:block>
												</fo:table-cell>					
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															Received By: 
													</fo:block>
												</fo:table-cell>					
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="component-2">
															<xsl:value-of select="$master/master/received_by/user_full_name" />
													</fo:block>
												</fo:table-cell>	
											</fo:table-row>											
											<fo:table-row keep-with-next="always">
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">Old Company</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">
																	<xsl:value-of select="$purchase_order/purchase_order/transfer/old_company/inv_company/desc" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">New Company</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">
																	<xsl:value-of select="$purchase_order/purchase_order/transfer/new_company/inv_company/desc" />
															</fo:block>
													</fo:table-cell>
											</fo:table-row>
											<fo:table-row keep-with-next="always">
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">Old Location</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">
																	<xsl:value-of select="$purchase_order/purchase_order/transfer/old_location/location/sub_loca_1" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">New Location</fo:block>
													</fo:table-cell>
													<fo:table-cell>
															<fo:block xsl:use-attribute-sets="component-2">
																	<xsl:value-of select="$purchase_order/purchase_order/transfer/new_location/location/sub_loca_1" />
															</fo:block>
													</fo:table-cell>
											</fo:table-row>
									</fo:table-body>
							</fo:table>															
            </xsl:when>
            <xsl:otherwise>				
							<fo:table font-size="8pt">
								<fo:table-column column-width="5.5in"/>	
								<fo:table-column column-width="4.0in"/>		
								<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="category-label">
												Vendor: <xsl:value-of select="$purchase_order/purchase_order/vendor/name" />
										</fo:block>
									</fo:table-cell>					
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="category-label">
												Received By: <xsl:value-of select="$master/master/received_by/user_full_name" />
										</fo:block>
									</fo:table-cell>	
									</fo:table-row>
									<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="category-label">
												Purchase Order #: <xsl:value-of select="$purchase_order/purchase_order/po_number" />
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="category-label">
												Received Date: <xsl:value-of select="$master/master/received_date" />
										</fo:block>
									</fo:table-cell>						
								</fo:table-row>	
								<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="category-label">
											Received Company: <xsl:value-of select="$master/master/inv_company/desc" />
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="category-label">
											Received Location: <xsl:value-of select="$master/master/location/sub_loca_1" />
									</fo:block>
								</fo:table-cell>						
								</fo:table-row>	
								</fo:table-body>
							</fo:table>
				</xsl:otherwise>
				</xsl:choose>			
				<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="3.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-body>
								<fo:table-row keep-with-next="always">
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Code</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Description</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											  <fo:block>Original Order Quantity</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Quantity Received</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Received Price</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Inventory Price</fo:block>
										</fo:table-cell>										
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Total Cost</fo:block>
										</fo:table-cell>
								</fo:table-row>
								<xsl:for-each select="$purchase_order/purchase_order/po_detail_row[@livestatus = 'mod']">
										<xsl:variable name="catid" select="./catalog_item/@id" />
										<xsl:if test="./received_qty > 0 and $master/master[./catalog_item[@id = $catid]]/received_date = ./received_date">
											<xsl:variable name="mstcost" select="$master/master[catalog_item[@id = $catid] and ./received_price > 0]/received_price"/>
											<fo:table-row keep-with-next="always">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
															<xsl:choose>
															<xsl:when test="./catalog_item/translate/external_id != ''" >
																<fo:block>
																	<xsl:value-of select="./catalog_item/translate/external_id" />
																</fo:block>
															</xsl:when>
															<xsl:otherwise>
																<fo:block>
																	<xsl:value-of select="./catalog_item/unit_code" />
																</fo:block>
															</xsl:otherwise>
															</xsl:choose>
													</fo:table-cell>										
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
															<fo:block>
																	<xsl:value-of select="./catalog_item/desc" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="./original_qty" />
															</fo:block>
													</fo:table-cell>													
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="./received_qty" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<xsl:choose>
														<xsl:when test="$purchase_order/purchase_order/po_status = 6 or $purchase_order/purchase_order/po_status = 7">
															<fo:block>
																	<xsl:value-of select="'n/a'" />
															</fo:block>
														</xsl:when>
														<xsl:otherwise>
															<fo:block>
																	<xsl:value-of select="format-number($mstcost, '##,##0.00')" />
															</fo:block>
														</xsl:otherwise>
														</xsl:choose>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="format-number(./unit_cost, '##,##0.00')" />
															</fo:block>
													</fo:table-cell>													
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<xsl:choose>
														<xsl:when test="$purchase_order/purchase_order/po_status = 6 or $purchase_order/purchase_order/po_status = 7">
															<fo:block>
																	<xsl:value-of select="format-number($purchase_order/purchase_order/po_total_cost, '##,###,##0.00')" />
															</fo:block>
														</xsl:when>
														<xsl:otherwise>
															<fo:block>
																	<xsl:value-of select="format-number((./received_qty * $mstcost), '##,###,##0.00')" />
															</fo:block>
														</xsl:otherwise>
														</xsl:choose>													
													</fo:table-cell>
												</fo:table-row>
												<xsl:if test="./catalog_item/serialized = 'true'" >
												  <xsl:variable name="unitid" select="./catalog_item/@id" />
													<xsl:variable name="seriallbl">
														<xsl:choose>
															<xsl:when test="./catalog_item/serialized_type = '1'">
																	<xsl:value-of select="./catalog_item/serialized_type_label" />
															</xsl:when>
															<xsl:when test="./catalog_item/serialized_type = '2'">
																ESN
															</xsl:when>
															<xsl:when test="./catalog_item/serialized_type = '3'">
																IMEI
															</xsl:when>
															<xsl:when test="./catalog_item/serialized_type = '4'">
																ICCID
															</xsl:when>															
															<xsl:otherwise>
																"' '"
															</xsl:otherwise>															
														</xsl:choose>
													</xsl:variable>
													<xsl:variable name="serialno">
														<xsl:for-each select="$master/master[catalog_item[@id = $unitid] and ./received_price > 0]">
																<fo:inline space-end="0.2in" space-start.precedence="force">
																<xsl:value-of select="./secondary_serial_no" />
																<xsl:if test="normalize-space(./serial_no)">
																	 <xsl:value-of select="' (S#: '" />
																	 <xsl:value-of select="./serial_no" />
																	 <xsl:value-of select="')'" />
																</xsl:if>
																<xsl:value-of select="' '" />
																</fo:inline>
														</xsl:for-each>
													</xsl:variable>
												  <fo:table-row>
												  	<fo:table-cell xsl:use-attribute-sets="table-cells"> </fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" keep-with-previous="always" text-align="left" number-columns-spanned="5">
															<fo:block>
																<fo:inline><xsl:value-of select="$seriallbl" /></fo:inline>
																<fo:block space-start="auto" space-start.precedence="force"><xsl:value-of select="$serialno" /></fo:block>
															</fo:block>
														</fo:table-cell>
													</fo:table-row>
											</xsl:if>
										</xsl:if>
								</xsl:for-each>
						</fo:table-body>
				</fo:table>
				<xsl:variable name="ponotrecv">
					<xsl:for-each select="$purchase_order/purchase_order/po_detail_row">
						<xsl:if test="./received_qty &lt;= 0">x</xsl:if>
					</xsl:for-each>
				</xsl:variable>
				<xsl:variable name="rowcount" select="string-length($ponotrecv)"/>
				<xsl:if test="$rowcount > 0">
					<fo:block xsl:use-attribute-sets="category-label" space-before="16px">
						Items Not Received on Purchase Order
					</fo:block>
					<fo:table table-layout="fixed" width="100%" space-before="16px">
							<fo:table-column column-width="0.6in" />
							<fo:table-column column-width="0.6in" />
							<fo:table-column column-width="1.0in" />
							<fo:table-column column-width="2.2in" />
							<fo:table-column column-width="0.8in" />
							<fo:table-column column-width="0.8in" />
							<fo:table-column column-width="3.0in" />
							<fo:table-body>
									<fo:table-row keep-with-next="always">
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Original Order Quantity</fo:block>
											</fo:table-cell>									
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Outst. Quantity</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Code</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Description</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Price</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Total</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Comments</fo:block>
											</fo:table-cell>
									</fo:table-row>
									<xsl:for-each select="$purchase_order/purchase_order/po_detail_row">
										<xsl:if test="./received_qty &lt;= 0">
											<fo:table-row keep-with-next="always">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="./original_qty" />
															</fo:block>
													</fo:table-cell>											
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="./unit_qty" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<xsl:choose>
															<xsl:when test="./catalog_item/translate/external_id != ''" >
																<fo:block>
																	<xsl:value-of select="./catalog_item/translate/external_id" />
																</fo:block>
															</xsl:when>
															<xsl:otherwise>
																<fo:block>
																	<xsl:value-of select="./catalog_item/unit_code" />
																</fo:block>
															</xsl:otherwise>
															</xsl:choose>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
															<fo:block>
																	<xsl:value-of select="./catalog_item/desc" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="format-number(./unit_cost, '##,##0.00')" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
															<fo:block>
																	<xsl:value-of select="format-number((./unit_qty * ./unit_cost), '##,##0.00')" />
															</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
															<fo:block>
																	<xsl:value-of select="./comment" />
															</fo:block>
													</fo:table-cell>
											</fo:table-row>
										</xsl:if>
									</xsl:for-each>
							</fo:table-body>
					</fo:table>
				</xsl:if>
    </xsl:template>
</xsl:stylesheet>
