<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_recv_daterange.xsl,v 1.2 2012-12-31 12:34:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" xmlns:exsl="http://exslt.org/functions" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" extension-element-prefixes="exsl" exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Receive Report'" />
    <xsl:variable name="name" select="/all_results/results[@name = 'po']/row/company" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
				<xsl:for-each-group select="/all_results/results[@name = 'po']/row" group-by="pono">
						<xsl:variable name="pono" select="current-group()/pono" />
						<xsl:call-template name="detailrow">
								<xsl:with-param name="pono" select="$pono"/>
						</xsl:call-template>							
				
				</xsl:for-each-group>
    </xsl:template>

    <xsl:template name="detailrow">
    		<xsl:param name="pono" />  
				<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="1.00in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="1.00in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="1.00in" />
						<fo:table-column column-width="1.00in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-column column-width="0.50in" />
						<fo:table-body>
								<fo:table-row keep-with-next="always">
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Po No</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Vendor</fo:block>
										</fo:table-cell>										
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Code</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Description</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Orig Ord Qty</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Qty Rcvd</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Qty Outs</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Rcv Date</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Rcv By</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Rcv In</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Rcv Price</fo:block>
												<xsl:if test="/all_results/results[@name = 'po']/row[pono = $pono and position() = 1]/status = 6 or /all_results/results[@name = 'po']/row/status = 7">
														<fo:block>*</fo:block>
												</xsl:if>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Inv Price</fo:block>
												<xsl:if test="/all_results/results[@name = 'po']/row[pono = $pono and position() = 1]/status = 6 or /all_results/results[@name = 'po']/row/status = 7">
														<fo:block>*</fo:block>
												</xsl:if>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Total Cost</fo:block>
										</fo:table-cell>
								</fo:table-row>
								<xsl:for-each select="/all_results/results[@name = 'po']/row[pono = $pono]">
										<xsl:variable name="unitid" select="./unitid" />
										<xsl:variable name="rcvprice" select="./rcvcost" />
										<xsl:variable name="rcvname" select="./rcvbyname" />
										<xsl:variable name="rcvdate" select="./rcvdate" />
										<xsl:variable name="podate" select="./podate" />
										<xsl:if test="./rcvqty > 0 or sum(..//row[pono = $pono and unitid = $unitid]/rcvqty) = 0">
												<fo:table-row keep-with-next="always">
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
																<fo:block>
																		<xsl:value-of select="./pono" />
																</fo:block>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
																<xsl:choose>
																		<xsl:when test="./status = 6">
																				<fo:block>
																						<xsl:value-of select="'-Transfer In Transit-'" />
																				</fo:block>
																		</xsl:when>
																		<xsl:when test="./status = 7">
																				<fo:block>
																						<xsl:value-of select="'-Transfered-'" />
																				</fo:block>
																		</xsl:when>																		
																		<xsl:otherwise>
																				<fo:block>
																						<xsl:value-of select="./vendor" />
																				</fo:block>
																		</xsl:otherwise>
																</xsl:choose>														
														</fo:table-cell>														
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
																<xsl:choose>
																		<xsl:when test="./externalcd != ''">
																				<fo:block>
																						<xsl:value-of select="./externalcd" />
																				</fo:block>
																		</xsl:when>
																		<xsl:otherwise>
																				<fo:block>
																						<xsl:value-of select="./unitcode" />
																				</fo:block>
																		</xsl:otherwise>
																</xsl:choose>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
																<fo:block>
																		<xsl:value-of select="./desc" />
																</fo:block>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<fo:block>
																		<xsl:value-of select="sum(..//row[pono = $pono and unitid = $unitid]/unitqty)" />
																</fo:block>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<fo:block>
																		<xsl:value-of select="./rcvqty" />
																</fo:block>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<fo:block>
																		<xsl:value-of select="sum(..//row[pono = $pono and unitid = $unitid]/unitqty) - sum(..//row[pono = $pono and unitid = $unitid]/rcvqty)" />
																</fo:block>
														</fo:table-cell>														
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
																<fo:block>
																		<xsl:value-of select="$rcvdate" />
																</fo:block>
														</fo:table-cell>	
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
																<fo:block>
																		<xsl:value-of select="$rcvname" />
																</fo:block>
														</fo:table-cell>	
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
																<xsl:choose>
																		<xsl:when test="./status = 6">
																				<fo:block>
																						<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $podate and unitid = $unitid]/company" />
																				</fo:block>
																				<fo:block>
																						<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $podate and unitid = $unitid]/subloc1" />
																				</fo:block>																						
																		</xsl:when>
																		<xsl:otherwise>
																				<fo:block>
																						<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]/company" />
																				</fo:block>
																				<fo:block>
																						<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]/subloc1" />
																				</fo:block>																						
																		</xsl:otherwise>
																</xsl:choose>
														</fo:table-cell>																					
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<xsl:choose>
																		<xsl:when test="./status = 6">
																				<fo:block>
																						<xsl:value-of select="format-number(/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $podate and unitid = $unitid]/rcvprice, '##,###,##0.00')" />
																				</fo:block>
																		</xsl:when>
																		<xsl:when test="./status = 7">
																				<fo:block>
																						<xsl:value-of select="format-number(/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid]/rcvprice, '##,###,##0.00')" />
																				</fo:block>
																		</xsl:when>																		
																		<xsl:otherwise>
																				<fo:block>
																						<xsl:value-of select="format-number(./rcvcost, '##,##0.00')" />
																				</fo:block>
																		</xsl:otherwise>
																</xsl:choose>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<xsl:choose>
																		<xsl:when test="./status = 6">
																				<fo:block>
																						<xsl:value-of select="format-number(/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $podate and unitid = $unitid]/rcvprice, '##,###,##0.00')" />
																				</fo:block>
																		</xsl:when>
																		<xsl:when test="./status = 7">
																				<fo:block>
																						<xsl:value-of select="format-number(/all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid]/rcvprice, '##,###,##0.00')" />
																				</fo:block>
																		</xsl:when>																		
																		<xsl:otherwise>
																				<fo:block>
																						<xsl:value-of select="format-number(./unitcost, '##,##0.00')" />
																				</fo:block>
																		</xsl:otherwise>
																</xsl:choose>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
																<fo:block>
																		<xsl:choose>
																				<xsl:when test="./rcvcost = 0 and /all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid]/rcvprice">
																						<xsl:value-of select="format-number((./rcvqty * /all_results/results[@name = 'mastsum']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid]/rcvprice), '##,###,##0.00')" />
																				</xsl:when>
																				<xsl:otherwise>
																						<xsl:value-of select="format-number((./rcvqty * ./rcvcost), '##,###,##0.00')" />
																				</xsl:otherwise>
																		</xsl:choose>
																</fo:block>
														</fo:table-cell>
												</fo:table-row>
												<xsl:if test="./serialized = '1' and /all_results/results[@name = 'mastdtl']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]">
														<xsl:variable name="unitid" select="./unitid" />
														<xsl:variable name="seriallbl">
						                                    <xsl:call-template name="getserialname">
						                                        <xsl:with-param name="serial2typ" select="./serial2typ" />
						                                        <xsl:with-param name="s2typlabel" select="./s2typlabel" />
						                                    </xsl:call-template>
														</xsl:variable>
														<xsl:variable name="serialno">
																<xsl:for-each select="/all_results/results[@name = 'mastdtl']/row[pono = $pono and rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]">
																		<fo:inline space-end="0.2in" space-start.precedence="force">
																				<xsl:value-of select="./serialno2" />
																				<xsl:if test="normalize-space(./serialno)">
																						<xsl:value-of select="' (S#: '" />
																						<xsl:value-of select="./serialno" />
																						<xsl:value-of select="')'" />
																				</xsl:if>
																				<xsl:value-of select="' '" />
																		</fo:inline>
																</xsl:for-each>
														</xsl:variable>
														<fo:table-row>
																<fo:table-cell xsl:use-attribute-sets="table-cells"><fo:block> </fo:block></fo:table-cell>
																<fo:table-cell xsl:use-attribute-sets="table-cells" keep-with-previous="always" text-align="left" number-columns-spanned="9">
																		<fo:block>
																				<fo:inline>
																						<xsl:value-of select="$seriallbl" />
																				</fo:inline>
																				<fo:block space-start="auto" space-start.precedence="force">
																						<xsl:value-of select="$serialno" />
																				</fo:block>
																		</fo:block>
																</fo:table-cell>
														</fo:table-row>
												</xsl:if>
										</xsl:if>
								</xsl:for-each>						
						</fo:table-body>
				</fo:table>
				<xsl:if test="/all_results/results[@name = 'po']/row[pono = $pono and position() = 1]/status = 6 or /all_results/results[@name = 'po']/row[pono = $pono and position() = 1]/status = 7">
						<fo:block xsl:use-attribute-sets="summary-cells" margin-before="8px">* Item cost and price averaged over all items actually transferred. Actual costs and prices may vary.</fo:block>
				</xsl:if>
        
    </xsl:template>
</xsl:stylesheet>
