<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: property.xsl,v 1.1 2008-05-05 21:30:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java" version="2.0">
    <xsl:import href="file:///C:/source/clientdev/xsl/Literal.xsl" />
    <xsl:import href="file:///C:/source/clientdev/xsl/Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Properties'" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:for-each select="/psa_properties/properties">
            <xsl:sort select="@type" />
            <xsl:choose>
                <xsl:when test="./property">
                    <fo:table table-layout="fixed" space-before="8px" space-after="10px">
                        <fo:table-column column-width="3.00in" />
                        <fo:table-column column-width="4.25in" />
                        <fo:table-column column-width="0.80in" />
                        <fo:table-column column-width="0.80in" />
                        <fo:table-column column-width="0.80in" />
                        <fo:table-header>
                            <fo:table-row keep-with-next="always">
                                <fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="5">
                                    <fo:block xsl:use-attribute-sets="component-2">
                                        <xsl:value-of select="@type" />
                                    </fo:block>
                                </fo:table-cell>
                            </fo:table-row>
                            <fo:table-row keep-with-next="always">
                                <fo:table-cell xsl:use-attribute-sets="table-headings">
                                    <fo:block>Option</fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-headings">
                                    <fo:block>Value</fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-headings">
                                    <fo:block>Attribute 1</fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-headings">
                                    <fo:block>Attribute 2</fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-headings">
                                    <fo:block>Attribute 3</fo:block>
                                </fo:table-cell>
                            </fo:table-row>
                        </fo:table-header>
                        <fo:table-body>
                            <xsl:for-each select="./property">
                                <fo:table-row>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block font-size="7pt">
                                            <xsl:value-of select="./propertyKey" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block font-size="7pt">
                                            <xsl:value-of select="./propertyValue" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block font-size="6pt">
                                            <xsl:if test="./propertyKey/@attributeOne &gt; ''">
                                                <xsl:value-of select="./propertyKey/@attributeOne" />
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block font-size="6pt">
                                            <xsl:if test="./propertyKey/@attributeTwo &gt; ''">
                                                <xsl:value-of select="./propertyKey/@attributeTwo" />
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                        <fo:block font-size="6pt">
                                            <xsl:if test="./propertyKey/@attributeThree &gt; ''">
                                                <xsl:value-of select="./propertyKey/@attributeThree" />
                                            </xsl:if>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </xsl:for-each>
                        </fo:table-body>
                    </fo:table>
                </xsl:when>
                <xsl:otherwise>
                    <fo:block xsl:use-attribute-sets="component-2">
                        <xsl:value-of select="@type" />
                    </fo:block>
                    <fo:block>No Property Entries for Type</fo:block>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
