<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: to_customers.xsl,v 1.2 2018-06-18 21:11:39 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" xmlns:util="java:com.psasoft.util.TextUtilities"
	exclude-result-prefixes="java" version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Treatment Customers '" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'data']/row">
				<fo:table table-layout="fixed" width="100%" space-before="16px">
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-column column-width="0.8in" />
					<fo:table-header>
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Account</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Name</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>MDN</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Disc Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Rmd Type</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Last Seq</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Service Status</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Process Flag</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Suspend Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Susp Notice Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Reconnect Date</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'data']/row">
							<xsl:variable name="color">
								<xsl:choose>
								<xsl:when test="./servstatus = 'SW' or ./servstatus = 'DW' or ./servstatus = 'RW' or ./servstatus = 'UW'">
									<xsl:value-of select="'#f9f5c5'"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'#FFFFFF'"/>
								</xsl:otherwise>
								</xsl:choose>				
							</xsl:variable>
							<fo:table-row background-color="{$color}">
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="format-number(./cycle, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./account, '0000000')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./fname" />
										<xsl:value-of select="' '" />
										<xsl:value-of select="./lname" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:call-template name="phone">
											<xsl:with-param name="npa" select="./cnpa"/>
											<xsl:with-param name="nxx" select="./cnxx"/>
											<xsl:with-param name="line" select="./cline"/>
										</xsl:call-template>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./discdate" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./rmdtyp" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./lstntc" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:choose>
										<xsl:when test="./servstatus = 'R'">
											<xsl:value-of select="'Reconnected '" />
										</xsl:when>
										<xsl:when test="./servstatus = 'SW'">
											<xsl:value-of select="'Suspend Wait'" />
										</xsl:when>
										<xsl:when test="./servstatus = 'DW'">
											<xsl:value-of select="'Disc Wait'" />
										</xsl:when>
										<xsl:when test="./servstatus = 'RW'">
											<xsl:value-of select="'Reconnect Wait'" />
										</xsl:when>
										<xsl:when test="./servstatus = 'UW'">
											<xsl:value-of select="'Reverse Disc Wait'" />
										</xsl:when>
										<xsl:when test="./servstatus = 'D'">
											<xsl:value-of select="'Perm Disc'" />
										</xsl:when>
										<xsl:when test="./servstatus = 'N'">
											<xsl:value-of select="'Suspended'" />
										</xsl:when>										
										<xsl:when test="./servstatus = 'A'">
											<xsl:value-of select="' '" />
										</xsl:when>										
										<xsl:otherwise>	
											<xsl:value-of select="./servstatus" />
										</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:choose>
										<xsl:when test="./prcsfg = ' '">
											<xsl:value-of select="' '" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'X'">
											<xsl:value-of select="'Processed'" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'S'">
											<xsl:value-of select="'Suspend'" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'D'">
											<xsl:value-of select="'Delete'" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'P'">
											<xsl:value-of select="'Perm Disc'" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'R'">
											<xsl:value-of select="'Reconnect'" />
										</xsl:when>
										<xsl:when test="./prcsfg = 'U'">
											<xsl:value-of select="'Reverse Disc'" />
										</xsl:when>										
										<xsl:otherwise>	
											<xsl:value-of select="./prcsfg" />
										</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./suspnotedate" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./recondate" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
										<xsl:value-of select="./suspdate" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</xsl:when>
			<xsl:otherwise>
				<fo:block>No Customers Found</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>