<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: user.xsl,v 1.3 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="Users" />
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set" />
            <xsl:call-template name="make-body" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <fo:block xsl:use-attribute-sets="report-title" space-after="10px" font-size="16pt" text-align="left">User</fo:block>
        <fo:block xsl:use-attribute-sets="report-title" margin-left="20px" font-size="14pt" text-align="left">Username 
        <xsl:value-of select="$user/user/username" />
        </fo:block>
        <fo:block xsl:use-attribute-sets="report-title" margin-left="20px" font-size="10pt" text-align="left">Full Name 
        <xsl:value-of select="$user/user/user_full_name" />
        </fo:block>
        <fo:block xsl:use-attribute-sets="report-title" margin-left="20px" space-after="10px" font-size="10pt" text-align="left">E-Mail 
        <xsl:value-of select="$user/user/user_email" />
        </fo:block>
        <xsl:if test="$user/user/access_group">
            <fo:table margin-left="50px" table-layout="fixed" width="100%">
                <fo:table-column column-width="500px" />
                <fo:table-body>
                    <fo:table-row keep-with-next="always">
                        <fo:table-cell>
                            <fo:block xsl:use-attribute-sets="table-headings" margin-right="2px">Group Access</fo:block>
                        </fo:table-cell>
                    </fo:table-row>
                    <xsl:for-each select="$user/user/access_group">
                        <fo:table-row keep-with-next="always">
                            <fo:table-cell>
                                <fo:block xsl:use-attribute-sets="table-cells" text-align="left" margin-right="2px">
                                    <xsl:value-of select="./name_translated" />
                                </fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </xsl:for-each>
                </fo:table-body>
            </fo:table>
        </xsl:if>
        <xsl:if test="$user/user/role_group">
            <fo:table margin-left="50px" table-layout="fixed" width="100%">
                <fo:table-column column-width="250px" />
                <fo:table-column column-width="250px" />
                <fo:table-body>
                    <fo:table-row keep-with-next="always">
                        <fo:table-cell>
                            <fo:block xsl:use-attribute-sets="table-headings">Role Access</fo:block>
                        </fo:table-cell>
                        <fo:table-cell>
                            <fo:block xsl:use-attribute-sets="table-headings" margin-left="2px" margin-right="0px">Role/Group Access</fo:block>
                        </fo:table-cell>
                    </fo:table-row>
                    <xsl:for-each select="$user/user/role_group">
                        <fo:table-row keep-with-next="always" space-after="5px">
                            <fo:table-cell>
                                <fo:block xsl:use-attribute-sets="table-cells" text-align="left">
                                    <xsl:value-of select="./name" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell>
                                <xsl:if test="./access_group">
                                    <fo:table table-layout="fixed" margin-left="3px" margin-right="1px">
                                        <fo:table-column column-width="250px" />
                                        <fo:table-body>
                                            <xsl:for-each select="./access_group">
                                                <fo:table-row keep-with-next="always">
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="table-cells" text-align="left">
                                                            <xsl:value-of select="./name_translated" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                            </xsl:for-each>
                                            <fo:table-row keep-with-next="always">
                                                <fo:table-cell text-align="center">
                                                    <fo:block>
                                                        ...
                                                    </fo:block>
                                                </fo:table-cell>
                                            </fo:table-row>
                                        </fo:table-body>
                                    </fo:table>
                                </xsl:if>
                            </fo:table-cell>
                        </fo:table-row>
                    </xsl:for-each>
                </fo:table-body>
            </fo:table>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
