<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: vendpohist.xsl,v 1.4 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Vendor PO History'" />
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set" />
            <xsl:call-template name="make-body" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <fo:block xsl:use-attribute-sets="report-title" space-after="10px" font-size="16pt" text-align="left">Purchase Orders</fo:block>
				<fo:block xsl:use-attribute-sets="report-title" space-after="20px" font-size="14pt" text-align="left">Vendor <xsl:value-of select="$purchase_order/purchase_order/vendor/name" /></fo:block>
						<fo:table table-layout="fixed" width="100%">
								<fo:table-column column-width="75px" />
								<fo:table-column column-width="250px" />
								<fo:table-column column-width="75px" />
								<fo:table-column column-width="75px" />
								<fo:table-body>
									<fo:table-row keep-with-next="always">
											<fo:table-cell>
													<fo:block xsl:use-attribute-sets="table-headings" margin-right="2px">
															Number
													</fo:block>
											</fo:table-cell>
											<fo:table-cell>
													<fo:block xsl:use-attribute-sets="table-headings" margin-right="2px">
															Company
													</fo:block>
											</fo:table-cell>
											<fo:table-cell>                            
													<fo:block xsl:use-attribute-sets="table-headings" margin-right="2px">
															Date
													</fo:block>
											</fo:table-cell>
											<fo:table-cell>                            
													<fo:block xsl:use-attribute-sets="table-headings" margin-right="2px">
															Total
													</fo:block>
											</fo:table-cell>
									</fo:table-row>
				        <xsl:for-each select="$purchase_order/purchase_order">
                    <fo:table-row keep-with-next="always">
                        <fo:table-cell>
                            <fo:block xsl:use-attribute-sets="table-cells" text-align="right" margin-right="2px">
                                <xsl:value-of select="./po_number" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell>
                            <fo:block xsl:use-attribute-sets="table-cells" text-align="left" margin-right="2px" padding-start="2px">
                                <xsl:value-of select="./inv_company/desc" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell>                            
                            <fo:block xsl:use-attribute-sets="table-cells" margin-right="2px">
                                <xsl:value-of select="./po_date" />
                            </fo:block>
                        </fo:table-cell>
												<fo:table-cell>                            
														<fo:block xsl:use-attribute-sets="table-cells" text-align="right" margin-right="2px">
																<xsl:value-of select="./po_total_cost" />
														</fo:block>
                        </fo:table-cell>
                    </fo:table-row>
		        </xsl:for-each>
					</fo:table-body>
			</fo:table>
    </xsl:template>
</xsl:stylesheet>
