<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: vendpricehist.xsl,v 1.5 2014-08-12 19:18:18 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Received Counts'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Vendor</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Min</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Max</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Avg</fo:block>
							</fo:table-cell>							
					</fo:table-row>
			</fo:table-header>
			<fo:table-body>			
					<xsl:for-each select="/all_results/results/row">
						<fo:table-row>
								<xsl:variable name="pos" select="position() - 1"/>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
										<fo:block>
										  <xsl:if test="$pos = 0 or /all_results/results/row[position() = $pos]/item != ./item">
													<xsl:value-of select="./item"/>
											</xsl:if>								
										</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								  <xsl:if test="$pos = 0 or (/all_results/results/row[position() = $pos]/vendor != ./vendor or /all_results/results/row[position() = $pos]/item != ./item)">
										<fo:block>
													<xsl:value-of select="./vendor"/>
										</fo:block>
									</xsl:if>
								</fo:table-cell>																			
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
									<fo:block>
												<xsl:value-of select="./mincost"/>
									</fo:block>
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
												<xsl:value-of select="./maxcost"/>
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
												<xsl:value-of select="./avgcost"/>
									</fo:block>
								</fo:table-cell>								
							</fo:table-row>								
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>				 
</xsl:template>
</xsl:stylesheet>






