<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: writeoffs.xsl,v 1.5 2015-09-22 18:49:10 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Write Offs ', $date_range[1], ' to ', $date_range[2])" />  

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
	
			<xsl:call-template name="make-layout-master-set-landscape"/>
			<xsl:call-template name="make-body-landscape"/>
		</fo:root>
	</xsl:template>
	
	<xsl:template name="body_process">
		<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'wo']/row">				
			<xsl:variable name="sort1">
				<xsl:choose>
					<xsl:when test="$sort_type = 1">
						<xsl:value-of select="'wtotyp'" />
					</xsl:when>
					<xsl:when test="$sort_type = 2">
						<xsl:value-of select="'cycle'" />
					</xsl:when>
					<xsl:when test="$sort_type = 3">
						<xsl:value-of select="'writeoffdate'" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'writeoffdate'" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="sort2">
				<xsl:choose>
					<xsl:when test="$sort_type = 1">
						<xsl:value-of select="'cycle'" />
					</xsl:when>
					<xsl:when test="$sort_type = 2">
						<xsl:value-of select="'account'" />
					</xsl:when>
					<xsl:when test="$sort_type = 3">
						<xsl:value-of select="'cycle'" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'cycle'" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="sort3">
				<xsl:choose>
					<xsl:when test="$sort_type = 1">
						<xsl:value-of select="'account'" />
					</xsl:when>
					<xsl:when test="$sort_type = 2">
						<xsl:value-of select="'wtotyp'" />
					</xsl:when>
					<xsl:when test="$sort_type = 3">
						<xsl:value-of select="'account'" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'account'" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>	
			<xsl:variable name="sort4">
				<xsl:choose>
					<xsl:when test="$sort_type = 1">
						<xsl:value-of select="'writeoffdate'" />
					</xsl:when>
					<xsl:when test="$sort_type = 2">
						<xsl:value-of select="'writeoffdate'" />
					</xsl:when>
					<xsl:when test="$sort_type = 3">
						<xsl:value-of select="'wtotyp'" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'wtotyp'" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>			
			<fo:table table-layout="fixed" width="100%" space-before="8px">
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.5in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Connect Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Write Off Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Write Off Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Payment Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Last Pay Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Last Payment Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Write Off Adj</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Write Off Balance</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'wo']/row">
						<xsl:sort select="./*[name() = $sort1]" />
						<xsl:sort select="./*[name() = $sort2]" />
						<xsl:sort select="./*[name() = $sort3]" />
						<xsl:sort select="./*[name() = $sort4]" />
	
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
										<xsl:value-of select="format-number(./cycle, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./account, '0000000')" />
								</fo:block>	
							</fo:table-cell>								
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./fname"/>
									<xsl:value-of select="' '"/>
									<xsl:value-of select="./lname"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="./connectdate"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="./writeoffdate"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./wtoamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./wtopay, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:if test="./paydate > ''">
										<xsl:value-of select="./paydate"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./wtolpy, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./wtoadj, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number((./writeoffbal), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block>No Records Found</fo:block>
		</xsl:otherwise>
		</xsl:choose>						
	</xsl:template>

</xsl:stylesheet>






